/*****************************************************************************/
/* NtStatus2Text.cpp                      Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* COnversion of NTSTATUS to text value                                      */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 07.03.04  1.00  Lad  The first version of NtStatus2Text.cpp               */
/*****************************************************************************/

#include "FileTest.h"

const TCHAR * NtStatus2Text(NTSTATUS Status)
{
    switch (Status)
    {
        case STATUS_SUCCESS:
            return _T("STATUS_SUCCESS");
        case STATUS_WAIT_1:
            return _T("STATUS_WAIT_1");
        case STATUS_WAIT_2:
            return _T("STATUS_WAIT_2");
        case STATUS_WAIT_3:
            return _T("STATUS_WAIT_3");
        case STATUS_WAIT_63:
            return _T("STATUS_WAIT_63");
        case STATUS_ABANDONED:
            return _T("STATUS_ABANDONED");
        case STATUS_ABANDONED_WAIT_63:
            return _T("STATUS_ABANDONED_WAIT_63");
        case STATUS_USER_APC:
            return _T("STATUS_USER_APC");
        case STATUS_KERNEL_APC:
            return _T("STATUS_KERNEL_APC");
        case STATUS_ALERTED:
            return _T("STATUS_ALERTED");
        case STATUS_TIMEOUT:
            return _T("STATUS_TIMEOUT");
        case STATUS_PENDING:
            return _T("STATUS_PENDING");
        case STATUS_REPARSE:
            return _T("STATUS_REPARSE");
        case STATUS_MORE_ENTRIES:
            return _T("STATUS_MORE_ENTRIES");
        case STATUS_NOT_ALL_ASSIGNED:
            return _T("STATUS_NOT_ALL_ASSIGNED");
        case STATUS_SOME_NOT_MAPPED:
            return _T("STATUS_SOME_NOT_MAPPED");
        case STATUS_OPLOCK_BREAK_IN_PROGRESS:
            return _T("STATUS_OPLOCK_BREAK_IN_PROGRESS");
        case STATUS_VOLUME_MOUNTED:
            return _T("STATUS_VOLUME_MOUNTED");
        case STATUS_RXACT_COMMITTED:
            return _T("STATUS_RXACT_COMMITTED");
        case STATUS_NOTIFY_CLEANUP:
            return _T("STATUS_NOTIFY_CLEANUP");
        case STATUS_NOTIFY_ENUM_DIR:
            return _T("STATUS_NOTIFY_ENUM_DIR");
        case STATUS_NO_QUOTAS_FOR_ACCOUNT:
            return _T("STATUS_NO_QUOTAS_FOR_ACCOUNT");
        case STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED:
            return _T("STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED");
        case STATUS_PAGE_FAULT_TRANSITION:
            return _T("STATUS_PAGE_FAULT_TRANSITION");
        case STATUS_PAGE_FAULT_DEMAND_ZERO:
            return _T("STATUS_PAGE_FAULT_DEMAND_ZERO");
        case STATUS_PAGE_FAULT_COPY_ON_WRITE:
            return _T("STATUS_PAGE_FAULT_COPY_ON_WRITE");
        case STATUS_PAGE_FAULT_GUARD_PAGE:
            return _T("STATUS_PAGE_FAULT_GUARD_PAGE");
        case STATUS_PAGE_FAULT_PAGING_FILE:
            return _T("STATUS_PAGE_FAULT_PAGING_FILE");
        case STATUS_CACHE_PAGE_LOCKED:
            return _T("STATUS_CACHE_PAGE_LOCKED");
        case STATUS_CRASH_DUMP:
            return _T("STATUS_CRASH_DUMP");
        case STATUS_BUFFER_ALL_ZEROS:
            return _T("STATUS_BUFFER_ALL_ZEROS");
        case STATUS_REPARSE_OBJECT:
            return _T("STATUS_REPARSE_OBJECT");
        case STATUS_RESOURCE_REQUIREMENTS_CHANGED:
            return _T("STATUS_RESOURCE_REQUIREMENTS_CHANGED");
        case STATUS_TRANSLATION_COMPLETE:
            return _T("STATUS_TRANSLATION_COMPLETE");
        case STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY:
            return _T("STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY");

        //
        // Windows XP and later
        // 

        case STATUS_NOTHING_TO_TERMINATE:
            return _T("STATUS_NOTHING_TO_TERMINATE");
        case STATUS_PROCESS_NOT_IN_JOB:
            return _T("STATUS_PROCESS_NOT_IN_JOB");
        case STATUS_PROCESS_IN_JOB:
            return _T("STATUS_PROCESS_IN_JOB");

        //
        // Later than Windows XP
        //

        case STATUS_VOLSNAP_HIBERNATE_READY:
            return _T("STATUS_VOLSNAP_HIBERNATE_READY");
        case STATUS_FSFILTER_OP_COMPLETED_SUCCESSFULLY:
            return _T("STATUS_FSFILTER_OP_COMPLETED_SUCCESSFULLY");

        //
        // Windows XP and later
        // 

//      case DBG_EXCEPTION_HANDLED:
//          return _T("DBG_EXCEPTION_HANDLED");
//      case DBG_CONTINUE:
//          return _T("DBG_CONTINUE");
        case STATUS_OBJECT_NAME_EXISTS:
            return _T("STATUS_OBJECT_NAME_EXISTS");
        case STATUS_THREAD_WAS_SUSPENDED:
            return _T("STATUS_THREAD_WAS_SUSPENDED");
        case STATUS_WORKING_SET_LIMIT_RANGE:
            return _T("STATUS_WORKING_SET_LIMIT_RANGE");
        case STATUS_IMAGE_NOT_AT_BASE:
            return _T("STATUS_IMAGE_NOT_AT_BASE");
        case STATUS_RXACT_STATE_CREATED:
            return _T("STATUS_RXACT_STATE_CREATED");
        case STATUS_SEGMENT_NOTIFICATION:
            return _T("STATUS_SEGMENT_NOTIFICATION");
        case STATUS_LOCAL_USER_SESSION_KEY:
            return _T("STATUS_LOCAL_USER_SESSION_KEY");
        case STATUS_BAD_CURRENT_DIRECTORY:
            return _T("STATUS_BAD_CURRENT_DIRECTORY");
        case STATUS_SERIAL_MORE_WRITES:
            return _T("STATUS_SERIAL_MORE_WRITES");
        case STATUS_REGISTRY_RECOVERED:
            return _T("STATUS_REGISTRY_RECOVERED");
        case STATUS_FT_READ_RECOVERY_FROM_BACKUP:
            return _T("STATUS_FT_READ_RECOVERY_FROM_BACKUP");
        case STATUS_FT_WRITE_RECOVERY:
            return _T("STATUS_FT_WRITE_RECOVERY");
        case STATUS_SERIAL_COUNTER_TIMEOUT:
            return _T("STATUS_SERIAL_COUNTER_TIMEOUT");
        case STATUS_NULL_LM_PASSWORD:
            return _T("STATUS_NULL_LM_PASSWORD");
        case STATUS_IMAGE_MACHINE_TYPE_MISMATCH:
            return _T("STATUS_IMAGE_MACHINE_TYPE_MISMATCH");
        case STATUS_RECEIVE_PARTIAL:
            return _T("STATUS_RECEIVE_PARTIAL");
        case STATUS_RECEIVE_EXPEDITED:
            return _T("STATUS_RECEIVE_EXPEDITED");
        case STATUS_RECEIVE_PARTIAL_EXPEDITED:
            return _T("STATUS_RECEIVE_PARTIAL_EXPEDITED");
        case STATUS_EVENT_DONE:
            return _T("STATUS_EVENT_DONE");
        case STATUS_EVENT_PENDING:
            return _T("STATUS_EVENT_PENDING");
        case STATUS_CHECKING_FILE_SYSTEM:
            return _T("STATUS_CHECKING_FILE_SYSTEM");
        case STATUS_FATAL_APP_EXIT:
            return _T("STATUS_FATAL_APP_EXIT");
        case STATUS_PREDEFINED_HANDLE:
            return _T("STATUS_PREDEFINED_HANDLE");
        case STATUS_WAS_UNLOCKED:
            return _T("STATUS_WAS_UNLOCKED");
        case STATUS_SERVICE_NOTIFICATION:
            return _T("STATUS_SERVICE_NOTIFICATION");
        case STATUS_WAS_LOCKED:
            return _T("STATUS_WAS_LOCKED");
        case STATUS_LOG_HARD_ERROR:
            return _T("STATUS_LOG_HARD_ERROR");
        case STATUS_ALREADY_WIN32:
            return _T("STATUS_ALREADY_WIN32");
        case STATUS_WX86_UNSIMULATE:
            return _T("STATUS_WX86_UNSIMULATE");
        case STATUS_WX86_CONTINUE:
            return _T("STATUS_WX86_CONTINUE");
        case STATUS_WX86_SINGLE_STEP:
            return _T("STATUS_WX86_SINGLE_STEP");
        case STATUS_WX86_BREAKPOINT:
            return _T("STATUS_WX86_BREAKPOINT");
        case STATUS_WX86_EXCEPTION_CONTINUE:
            return _T("STATUS_WX86_EXCEPTION_CONTINUE");
        case STATUS_WX86_EXCEPTION_LASTCHANCE:
            return _T("STATUS_WX86_EXCEPTION_LASTCHANCE");
        case STATUS_WX86_EXCEPTION_CHAIN:
            return _T("STATUS_WX86_EXCEPTION_CHAIN");
        case STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE:
            return _T("STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE");
        case STATUS_NO_YIELD_PERFORMED:
            return _T("STATUS_NO_YIELD_PERFORMED");
        case STATUS_TIMER_RESUME_IGNORED:
            return _T("STATUS_TIMER_RESUME_IGNORED");
        case STATUS_ARBITRATION_UNHANDLED:
            return _T("STATUS_ARBITRATION_UNHANDLED");
        case STATUS_CARDBUS_NOT_SUPPORTED:
            return _T("STATUS_CARDBUS_NOT_SUPPORTED");
        case STATUS_WX86_CREATEWX86TIB:
            return _T("STATUS_WX86_CREATEWX86TIB");
        case STATUS_MP_PROCESSOR_MISMATCH:
            return _T("STATUS_MP_PROCESSOR_MISMATCH");
        case STATUS_HIBERNATED:
            return _T("STATUS_HIBERNATED");
        case STATUS_RESUME_HIBERNATION:
            return _T("STATUS_RESUME_HIBERNATION");
        case STATUS_FIRMWARE_UPDATED:
            return _T("STATUS_FIRMWARE_UPDATED");
        case STATUS_DRIVERS_LEAKING_LOCKED_PAGES:
            return _T("STATUS_DRIVERS_LEAKING_LOCKED_PAGES");
        case STATUS_WAKE_SYSTEM:
            return _T("STATUS_WAKE_SYSTEM");
        case STATUS_DS_SHUTTING_DOWN:
            return _T("STATUS_DS_SHUTTING_DOWN");
        case DBG_REPLY_LATER:
            return _T("DBG_REPLY_LATER");
        case DBG_UNABLE_TO_PROVIDE_HANDLE:
            return _T("DBG_UNABLE_TO_PROVIDE_HANDLE");
//      case DBG_TERMINATE_THREAD:
//          return _T("DBG_TERMINATE_THREAD");
//      case DBG_TERMINATE_PROCESS:
//          return _T("DBG_TERMINATE_PROCESS");
//      case DBG_CONTROL_C:
//          return _T("DBG_CONTROL_C");
        case DBG_PRINTEXCEPTION_C:
            return _T("DBG_PRINTEXCEPTION_C");
        case DBG_RIPEXCEPTION:
            return _T("DBG_RIPEXCEPTION");
//      case DBG_CONTROL_BREAK:
//          return _T("DBG_CONTROL_BREAK");
        case DBG_COMMAND_EXCEPTION:
            return _T("DBG_COMMAND_EXCEPTION");
        case RPC_NT_UUID_LOCAL_ONLY:
            return _T("RPC_NT_UUID_LOCAL_ONLY");
        case RPC_NT_SEND_INCOMPLETE:
            return _T("RPC_NT_SEND_INCOMPLETE");
        case STATUS_CTX_CDM_CONNECT:
            return _T("STATUS_CTX_CDM_CONNECT");
        case STATUS_CTX_CDM_DISCONNECT:
            return _T("STATUS_CTX_CDM_DISCONNECT");
        case STATUS_GUARD_PAGE_VIOLATION:
            return _T("STATUS_GUARD_PAGE_VIOLATION");
        case STATUS_DATATYPE_MISALIGNMENT:
            return _T("STATUS_DATATYPE_MISALIGNMENT");
        case STATUS_BREAKPOINT:
            return _T("STATUS_BREAKPOINT");
        case STATUS_SINGLE_STEP:
            return _T("STATUS_SINGLE_STEP");
        case STATUS_BUFFER_OVERFLOW:
            return _T("STATUS_BUFFER_OVERFLOW");
        case STATUS_NO_MORE_FILES:
            return _T("STATUS_NO_MORE_FILES");
        case STATUS_WAKE_SYSTEM_DEBUGGER:
            return _T("STATUS_WAKE_SYSTEM_DEBUGGER");
        case STATUS_HANDLES_CLOSED:
            return _T("STATUS_HANDLES_CLOSED");
        case STATUS_NO_INHERITANCE:
            return _T("STATUS_NO_INHERITANCE");
        case STATUS_GUID_SUBSTITUTION_MADE:
            return _T("STATUS_GUID_SUBSTITUTION_MADE");
        case STATUS_PARTIAL_COPY:
            return _T("STATUS_PARTIAL_COPY");
        case STATUS_DEVICE_PAPER_EMPTY:
            return _T("STATUS_DEVICE_PAPER_EMPTY");
        case STATUS_DEVICE_POWERED_OFF:
            return _T("STATUS_DEVICE_POWERED_OFF");
        case STATUS_DEVICE_OFF_LINE:
            return _T("STATUS_DEVICE_OFF_LINE");
        case STATUS_DEVICE_BUSY:
            return _T("STATUS_DEVICE_BUSY");
        case STATUS_NO_MORE_EAS:
            return _T("STATUS_NO_MORE_EAS");
        case STATUS_INVALID_EA_NAME:
            return _T("STATUS_INVALID_EA_NAME");
        case STATUS_EA_LIST_INCONSISTENT:
            return _T("STATUS_EA_LIST_INCONSISTENT");
        case STATUS_INVALID_EA_FLAG:
            return _T("STATUS_INVALID_EA_FLAG");
        case STATUS_VERIFY_REQUIRED:
            return _T("STATUS_VERIFY_REQUIRED");
        case STATUS_EXTRANEOUS_INFORMATION:
            return _T("STATUS_EXTRANEOUS_INFORMATION");
        case STATUS_RXACT_COMMIT_NECESSARY:
            return _T("STATUS_RXACT_COMMIT_NECESSARY");
        case STATUS_NO_MORE_ENTRIES:
            return _T("STATUS_NO_MORE_ENTRIES");
        case STATUS_FILEMARK_DETECTED:
            return _T("STATUS_FILEMARK_DETECTED");
        case STATUS_MEDIA_CHANGED:
            return _T("STATUS_MEDIA_CHANGED");
        case STATUS_BUS_RESET:
            return _T("STATUS_BUS_RESET");
        case STATUS_END_OF_MEDIA:
            return _T("STATUS_END_OF_MEDIA");
        case STATUS_BEGINNING_OF_MEDIA:
            return _T("STATUS_BEGINNING_OF_MEDIA");
        case STATUS_MEDIA_CHECK:
            return _T("STATUS_MEDIA_CHECK");
        case STATUS_SETMARK_DETECTED:
            return _T("STATUS_SETMARK_DETECTED");
        case STATUS_NO_DATA_DETECTED:
            return _T("STATUS_NO_DATA_DETECTED");
        case STATUS_REDIRECTOR_HAS_OPEN_HANDLES:
            return _T("STATUS_REDIRECTOR_HAS_OPEN_HANDLES");
        case STATUS_SERVER_HAS_OPEN_HANDLES:
            return _T("STATUS_SERVER_HAS_OPEN_HANDLES");
        case STATUS_ALREADY_DISCONNECTED:
            return _T("STATUS_ALREADY_DISCONNECTED");
        case STATUS_LONGJUMP:
            return _T("STATUS_LONGJUMP");
        case STATUS_CLEANER_CARTRIDGE_INSTALLED:
            return _T("STATUS_CLEANER_CARTRIDGE_INSTALLED");
        case STATUS_PLUGPLAY_QUERY_VETOED:
            return _T("STATUS_PLUGPLAY_QUERY_VETOED");
        case STATUS_UNWIND_CONSOLIDATE:
            return _T("STATUS_UNWIND_CONSOLIDATE");
        case STATUS_REGISTRY_HIVE_RECOVERED:
            return _T("STATUS_REGISTRY_HIVE_RECOVERED");
        case STATUS_DLL_MIGHT_BE_INSECURE:
            return _T("STATUS_DLL_MIGHT_BE_INSECURE");
        case STATUS_DLL_MIGHT_BE_INCOMPATIBLE:
            return _T("STATUS_DLL_MIGHT_BE_INCOMPATIBLE");
        case STATUS_DEVICE_REQUIRES_CLEANING:
            return _T("STATUS_DEVICE_REQUIRES_CLEANING");
        case STATUS_DEVICE_DOOR_OPEN:
            return _T("STATUS_DEVICE_DOOR_OPEN");
//      case DBG_EXCEPTION_NOT_HANDLED:
//          return _T("DBG_EXCEPTION_NOT_HANDLED");
        case STATUS_CLUSTER_NODE_ALREADY_UP:
            return _T("STATUS_CLUSTER_NODE_ALREADY_UP");
        case STATUS_CLUSTER_NODE_ALREADY_DOWN:
            return _T("STATUS_CLUSTER_NODE_ALREADY_DOWN");
        case STATUS_CLUSTER_NETWORK_ALREADY_ONLINE:
            return _T("STATUS_CLUSTER_NETWORK_ALREADY_ONLINE");
        case STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE:
            return _T("STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE");
        case STATUS_CLUSTER_NODE_ALREADY_MEMBER:
            return _T("STATUS_CLUSTER_NODE_ALREADY_MEMBER");
        case STATUS_UNSUCCESSFUL:
            return _T("STATUS_UNSUCCESSFUL");
        case STATUS_NOT_IMPLEMENTED:
            return _T("STATUS_NOT_IMPLEMENTED");
        case STATUS_INVALID_INFO_CLASS:
            return _T("STATUS_INVALID_INFO_CLASS");
        case STATUS_INFO_LENGTH_MISMATCH:
            return _T("STATUS_INFO_LENGTH_MISMATCH");
        case STATUS_ACCESS_VIOLATION:
            return _T("STATUS_ACCESS_VIOLATION");
        case STATUS_IN_PAGE_ERROR:
            return _T("STATUS_IN_PAGE_ERROR");
        case STATUS_PAGEFILE_QUOTA:
            return _T("STATUS_PAGEFILE_QUOTA");
        case STATUS_INVALID_HANDLE:
            return _T("STATUS_INVALID_HANDLE");
        case STATUS_BAD_INITIAL_STACK:
            return _T("STATUS_BAD_INITIAL_STACK");
        case STATUS_BAD_INITIAL_PC:
            return _T("STATUS_BAD_INITIAL_PC");
        case STATUS_INVALID_CID:
            return _T("STATUS_INVALID_CID");
        case STATUS_TIMER_NOT_CANCELED:
            return _T("STATUS_TIMER_NOT_CANCELED");
        case STATUS_INVALID_PARAMETER:
            return _T("STATUS_INVALID_PARAMETER");
        case STATUS_NO_SUCH_DEVICE:
            return _T("STATUS_NO_SUCH_DEVICE");
        case STATUS_NO_SUCH_FILE:
            return _T("STATUS_NO_SUCH_FILE");
        case STATUS_INVALID_DEVICE_REQUEST:
            return _T("STATUS_INVALID_DEVICE_REQUEST");
        case STATUS_END_OF_FILE:
            return _T("STATUS_END_OF_FILE");
        case STATUS_WRONG_VOLUME:
            return _T("STATUS_WRONG_VOLUME");
        case STATUS_NO_MEDIA_IN_DEVICE:
            return _T("STATUS_NO_MEDIA_IN_DEVICE");
        case STATUS_UNRECOGNIZED_MEDIA:
            return _T("STATUS_UNRECOGNIZED_MEDIA");
        case STATUS_NONEXISTENT_SECTOR:
            return _T("STATUS_NONEXISTENT_SECTOR");
        case STATUS_MORE_PROCESSING_REQUIRED:
            return _T("STATUS_MORE_PROCESSING_REQUIRED");
        case STATUS_NO_MEMORY:
            return _T("STATUS_NO_MEMORY");
        case STATUS_CONFLICTING_ADDRESSES:
            return _T("STATUS_CONFLICTING_ADDRESSES");
        case STATUS_NOT_MAPPED_VIEW:
            return _T("STATUS_NOT_MAPPED_VIEW");
        case STATUS_UNABLE_TO_FREE_VM:
            return _T("STATUS_UNABLE_TO_FREE_VM");
        case STATUS_UNABLE_TO_DELETE_SECTION:
            return _T("STATUS_UNABLE_TO_DELETE_SECTION");
        case STATUS_INVALID_SYSTEM_SERVICE:
            return _T("STATUS_INVALID_SYSTEM_SERVICE");
        case STATUS_ILLEGAL_INSTRUCTION:
            return _T("STATUS_ILLEGAL_INSTRUCTION");
        case STATUS_INVALID_LOCK_SEQUENCE:
            return _T("STATUS_INVALID_LOCK_SEQUENCE");
        case STATUS_INVALID_VIEW_SIZE:
            return _T("STATUS_INVALID_VIEW_SIZE");
        case STATUS_INVALID_FILE_FOR_SECTION:
            return _T("STATUS_INVALID_FILE_FOR_SECTION");
        case STATUS_ALREADY_COMMITTED:
            return _T("STATUS_ALREADY_COMMITTED");
        case STATUS_ACCESS_DENIED:
            return _T("STATUS_ACCESS_DENIED");
        case STATUS_BUFFER_TOO_SMALL:
            return _T("STATUS_BUFFER_TOO_SMALL");
        case STATUS_OBJECT_TYPE_MISMATCH:
            return _T("STATUS_OBJECT_TYPE_MISMATCH");
        case STATUS_NONCONTINUABLE_EXCEPTION:
            return _T("STATUS_NONCONTINUABLE_EXCEPTION");
        case STATUS_INVALID_DISPOSITION:
            return _T("STATUS_INVALID_DISPOSITION");
        case STATUS_UNWIND:
            return _T("STATUS_UNWIND");
        case STATUS_BAD_STACK:
            return _T("STATUS_BAD_STACK");
        case STATUS_INVALID_UNWIND_TARGET:
            return _T("STATUS_INVALID_UNWIND_TARGET");
        case STATUS_NOT_LOCKED:
            return _T("STATUS_NOT_LOCKED");
        case STATUS_PARITY_ERROR:
            return _T("STATUS_PARITY_ERROR");
        case STATUS_UNABLE_TO_DECOMMIT_VM:
            return _T("STATUS_UNABLE_TO_DECOMMIT_VM");
        case STATUS_NOT_COMMITTED:
            return _T("STATUS_NOT_COMMITTED");
        case STATUS_INVALID_PORT_ATTRIBUTES:
            return _T("STATUS_INVALID_PORT_ATTRIBUTES");
        case STATUS_PORT_MESSAGE_TOO_LONG:
            return _T("STATUS_PORT_MESSAGE_TOO_LONG");
        case STATUS_INVALID_PARAMETER_MIX:
            return _T("STATUS_INVALID_PARAMETER_MIX");
        case STATUS_INVALID_QUOTA_LOWER:
            return _T("STATUS_INVALID_QUOTA_LOWER");
        case STATUS_DISK_CORRUPT_ERROR:
            return _T("STATUS_DISK_CORRUPT_ERROR");
        case STATUS_OBJECT_NAME_INVALID:
            return _T("STATUS_OBJECT_NAME_INVALID");
        case STATUS_OBJECT_NAME_NOT_FOUND:
            return _T("STATUS_OBJECT_NAME_NOT_FOUND");
        case STATUS_OBJECT_NAME_COLLISION:
            return _T("STATUS_OBJECT_NAME_COLLISION");
        case STATUS_PORT_DISCONNECTED:
            return _T("STATUS_PORT_DISCONNECTED");
        case STATUS_DEVICE_ALREADY_ATTACHED:
            return _T("STATUS_DEVICE_ALREADY_ATTACHED");
        case STATUS_OBJECT_PATH_INVALID:
            return _T("STATUS_OBJECT_PATH_INVALID");
        case STATUS_OBJECT_PATH_NOT_FOUND:
            return _T("STATUS_OBJECT_PATH_NOT_FOUND");
        case STATUS_OBJECT_PATH_SYNTAX_BAD:
            return _T("STATUS_OBJECT_PATH_SYNTAX_BAD");
        case STATUS_DATA_OVERRUN:
            return _T("STATUS_DATA_OVERRUN");
        case STATUS_DATA_LATE_ERROR:
            return _T("STATUS_DATA_LATE_ERROR");
        case STATUS_DATA_ERROR:
            return _T("STATUS_DATA_ERROR");
        case STATUS_CRC_ERROR:
            return _T("STATUS_CRC_ERROR");
        case STATUS_SECTION_TOO_BIG:
            return _T("STATUS_SECTION_TOO_BIG");
        case STATUS_PORT_CONNECTION_REFUSED:
            return _T("STATUS_PORT_CONNECTION_REFUSED");
        case STATUS_INVALID_PORT_HANDLE:
            return _T("STATUS_INVALID_PORT_HANDLE");
        case STATUS_SHARING_VIOLATION:
            return _T("STATUS_SHARING_VIOLATION");
        case STATUS_QUOTA_EXCEEDED:
            return _T("STATUS_QUOTA_EXCEEDED");
        case STATUS_INVALID_PAGE_PROTECTION:
            return _T("STATUS_INVALID_PAGE_PROTECTION");
        case STATUS_MUTANT_NOT_OWNED:
            return _T("STATUS_MUTANT_NOT_OWNED");
        case STATUS_SEMAPHORE_LIMIT_EXCEEDED:
            return _T("STATUS_SEMAPHORE_LIMIT_EXCEEDED");
        case STATUS_PORT_ALREADY_SET:
            return _T("STATUS_PORT_ALREADY_SET");
        case STATUS_SECTION_NOT_IMAGE:
            return _T("STATUS_SECTION_NOT_IMAGE");
        case STATUS_SUSPEND_COUNT_EXCEEDED:
            return _T("STATUS_SUSPEND_COUNT_EXCEEDED");
        case STATUS_THREAD_IS_TERMINATING:
            return _T("STATUS_THREAD_IS_TERMINATING");
        case STATUS_BAD_WORKING_SET_LIMIT:
            return _T("STATUS_BAD_WORKING_SET_LIMIT");
        case STATUS_INCOMPATIBLE_FILE_MAP:
            return _T("STATUS_INCOMPATIBLE_FILE_MAP");
        case STATUS_SECTION_PROTECTION:
            return _T("STATUS_SECTION_PROTECTION");
        case STATUS_EAS_NOT_SUPPORTED:
            return _T("STATUS_EAS_NOT_SUPPORTED");
        case STATUS_EA_TOO_LARGE:
            return _T("STATUS_EA_TOO_LARGE");
        case STATUS_NONEXISTENT_EA_ENTRY:
            return _T("STATUS_NONEXISTENT_EA_ENTRY");
        case STATUS_NO_EAS_ON_FILE:
            return _T("STATUS_NO_EAS_ON_FILE");
        case STATUS_EA_CORRUPT_ERROR:
            return _T("STATUS_EA_CORRUPT_ERROR");
        case STATUS_FILE_LOCK_CONFLICT:
            return _T("STATUS_FILE_LOCK_CONFLICT");
        case STATUS_LOCK_NOT_GRANTED:
            return _T("STATUS_LOCK_NOT_GRANTED");
        case STATUS_DELETE_PENDING:
            return _T("STATUS_DELETE_PENDING");
        case STATUS_CTL_FILE_NOT_SUPPORTED:
            return _T("STATUS_CTL_FILE_NOT_SUPPORTED");
        case STATUS_UNKNOWN_REVISION:
            return _T("STATUS_UNKNOWN_REVISION");
        case STATUS_REVISION_MISMATCH:
            return _T("STATUS_REVISION_MISMATCH");
        case STATUS_INVALID_OWNER:
            return _T("STATUS_INVALID_OWNER");
        case STATUS_INVALID_PRIMARY_GROUP:
            return _T("STATUS_INVALID_PRIMARY_GROUP");
        case STATUS_NO_IMPERSONATION_TOKEN:
            return _T("STATUS_NO_IMPERSONATION_TOKEN");
        case STATUS_CANT_DISABLE_MANDATORY:
            return _T("STATUS_CANT_DISABLE_MANDATORY");
        case STATUS_NO_LOGON_SERVERS:
            return _T("STATUS_NO_LOGON_SERVERS");
        case STATUS_NO_SUCH_LOGON_SESSION:
            return _T("STATUS_NO_SUCH_LOGON_SESSION");
        case STATUS_NO_SUCH_PRIVILEGE:
            return _T("STATUS_NO_SUCH_PRIVILEGE");
        case STATUS_PRIVILEGE_NOT_HELD:
            return _T("STATUS_PRIVILEGE_NOT_HELD");
        case STATUS_INVALID_ACCOUNT_NAME:
            return _T("STATUS_INVALID_ACCOUNT_NAME");
        case STATUS_USER_EXISTS:
            return _T("STATUS_USER_EXISTS");
        case STATUS_NO_SUCH_USER:
            return _T("STATUS_NO_SUCH_USER");
        case STATUS_GROUP_EXISTS:
            return _T("STATUS_GROUP_EXISTS");
        case STATUS_NO_SUCH_GROUP:
            return _T("STATUS_NO_SUCH_GROUP");
        case STATUS_MEMBER_IN_GROUP:
            return _T("STATUS_MEMBER_IN_GROUP");
        case STATUS_MEMBER_NOT_IN_GROUP:
            return _T("STATUS_MEMBER_NOT_IN_GROUP");
        case STATUS_LAST_ADMIN:
            return _T("STATUS_LAST_ADMIN");
        case STATUS_WRONG_PASSWORD:
            return _T("STATUS_WRONG_PASSWORD");
        case STATUS_ILL_FORMED_PASSWORD:
            return _T("STATUS_ILL_FORMED_PASSWORD");
        case STATUS_PASSWORD_RESTRICTION:
            return _T("STATUS_PASSWORD_RESTRICTION");
        case STATUS_LOGON_FAILURE:
            return _T("STATUS_LOGON_FAILURE");
        case STATUS_ACCOUNT_RESTRICTION:
            return _T("STATUS_ACCOUNT_RESTRICTION");
        case STATUS_INVALID_LOGON_HOURS:
            return _T("STATUS_INVALID_LOGON_HOURS");
        case STATUS_INVALID_WORKSTATION:
            return _T("STATUS_INVALID_WORKSTATION");
        case STATUS_PASSWORD_EXPIRED:
            return _T("STATUS_PASSWORD_EXPIRED");
        case STATUS_ACCOUNT_DISABLED:
            return _T("STATUS_ACCOUNT_DISABLED");
        case STATUS_NONE_MAPPED:
            return _T("STATUS_NONE_MAPPED");
        case STATUS_TOO_MANY_LUIDS_REQUESTED:
            return _T("STATUS_TOO_MANY_LUIDS_REQUESTED");
        case STATUS_LUIDS_EXHAUSTED:
            return _T("STATUS_LUIDS_EXHAUSTED");
        case STATUS_INVALID_SUB_AUTHORITY:
            return _T("STATUS_INVALID_SUB_AUTHORITY");
        case STATUS_INVALID_ACL:
            return _T("STATUS_INVALID_ACL");
        case STATUS_INVALID_SID:
            return _T("STATUS_INVALID_SID");
        case STATUS_INVALID_SECURITY_DESCR:
            return _T("STATUS_INVALID_SECURITY_DESCR");
        case STATUS_PROCEDURE_NOT_FOUND:
            return _T("STATUS_PROCEDURE_NOT_FOUND");
        case STATUS_INVALID_IMAGE_FORMAT:
            return _T("STATUS_INVALID_IMAGE_FORMAT");
        case STATUS_NO_TOKEN:
            return _T("STATUS_NO_TOKEN");
        case STATUS_BAD_INHERITANCE_ACL:
            return _T("STATUS_BAD_INHERITANCE_ACL");
        case STATUS_RANGE_NOT_LOCKED:
            return _T("STATUS_RANGE_NOT_LOCKED");
        case STATUS_DISK_FULL:
            return _T("STATUS_DISK_FULL");
        case STATUS_SERVER_DISABLED:
            return _T("STATUS_SERVER_DISABLED");
        case STATUS_SERVER_NOT_DISABLED:
            return _T("STATUS_SERVER_NOT_DISABLED");
        case STATUS_TOO_MANY_GUIDS_REQUESTED:
            return _T("STATUS_TOO_MANY_GUIDS_REQUESTED");
        case STATUS_GUIDS_EXHAUSTED:
            return _T("STATUS_GUIDS_EXHAUSTED");
        case STATUS_INVALID_ID_AUTHORITY:
            return _T("STATUS_INVALID_ID_AUTHORITY");
        case STATUS_AGENTS_EXHAUSTED:
            return _T("STATUS_AGENTS_EXHAUSTED");
        case STATUS_INVALID_VOLUME_LABEL:
            return _T("STATUS_INVALID_VOLUME_LABEL");
        case STATUS_SECTION_NOT_EXTENDED:
            return _T("STATUS_SECTION_NOT_EXTENDED");
        case STATUS_NOT_MAPPED_DATA:
            return _T("STATUS_NOT_MAPPED_DATA");
        case STATUS_RESOURCE_DATA_NOT_FOUND:
            return _T("STATUS_RESOURCE_DATA_NOT_FOUND");
        case STATUS_RESOURCE_TYPE_NOT_FOUND:
            return _T("STATUS_RESOURCE_TYPE_NOT_FOUND");
        case STATUS_RESOURCE_NAME_NOT_FOUND:
            return _T("STATUS_RESOURCE_NAME_NOT_FOUND");
        case STATUS_ARRAY_BOUNDS_EXCEEDED:
            return _T("STATUS_ARRAY_BOUNDS_EXCEEDED");
        case STATUS_FLOAT_DENORMAL_OPERAND:
            return _T("STATUS_FLOAT_DENORMAL_OPERAND");
        case STATUS_FLOAT_DIVIDE_BY_ZERO:
            return _T("STATUS_FLOAT_DIVIDE_BY_ZERO");
        case STATUS_FLOAT_INEXACT_RESULT:
            return _T("STATUS_FLOAT_INEXACT_RESULT");
        case STATUS_FLOAT_INVALID_OPERATION:
            return _T("STATUS_FLOAT_INVALID_OPERATION");
        case STATUS_FLOAT_OVERFLOW:
            return _T("STATUS_FLOAT_OVERFLOW");
        case STATUS_FLOAT_STACK_CHECK:
            return _T("STATUS_FLOAT_STACK_CHECK");
        case STATUS_FLOAT_UNDERFLOW:
            return _T("STATUS_FLOAT_UNDERFLOW");
        case STATUS_INTEGER_DIVIDE_BY_ZERO:
            return _T("STATUS_INTEGER_DIVIDE_BY_ZERO");
        case STATUS_INTEGER_OVERFLOW:
            return _T("STATUS_INTEGER_OVERFLOW");
        case STATUS_PRIVILEGED_INSTRUCTION:
            return _T("STATUS_PRIVILEGED_INSTRUCTION");
        case STATUS_TOO_MANY_PAGING_FILES:
            return _T("STATUS_TOO_MANY_PAGING_FILES");
        case STATUS_FILE_INVALID:
            return _T("STATUS_FILE_INVALID");
        case STATUS_ALLOTTED_SPACE_EXCEEDED:
            return _T("STATUS_ALLOTTED_SPACE_EXCEEDED");
        case STATUS_INSUFFICIENT_RESOURCES:
            return _T("STATUS_INSUFFICIENT_RESOURCES");
        case STATUS_DFS_EXIT_PATH_FOUND:
            return _T("STATUS_DFS_EXIT_PATH_FOUND");
        case STATUS_DEVICE_DATA_ERROR:
            return _T("STATUS_DEVICE_DATA_ERROR");
        case STATUS_DEVICE_NOT_CONNECTED:
            return _T("STATUS_DEVICE_NOT_CONNECTED");
        case STATUS_DEVICE_POWER_FAILURE:
            return _T("STATUS_DEVICE_POWER_FAILURE");
        case STATUS_FREE_VM_NOT_AT_BASE:
            return _T("STATUS_FREE_VM_NOT_AT_BASE");
        case STATUS_MEMORY_NOT_ALLOCATED:
            return _T("STATUS_MEMORY_NOT_ALLOCATED");
        case STATUS_WORKING_SET_QUOTA:
            return _T("STATUS_WORKING_SET_QUOTA");
        case STATUS_MEDIA_WRITE_PROTECTED:
            return _T("STATUS_MEDIA_WRITE_PROTECTED");
        case STATUS_DEVICE_NOT_READY:
            return _T("STATUS_DEVICE_NOT_READY");
        case STATUS_INVALID_GROUP_ATTRIBUTES:
            return _T("STATUS_INVALID_GROUP_ATTRIBUTES");
        case STATUS_BAD_IMPERSONATION_LEVEL:
            return _T("STATUS_BAD_IMPERSONATION_LEVEL");
        case STATUS_CANT_OPEN_ANONYMOUS:
            return _T("STATUS_CANT_OPEN_ANONYMOUS");
        case STATUS_BAD_VALIDATION_CLASS:
            return _T("STATUS_BAD_VALIDATION_CLASS");
        case STATUS_BAD_TOKEN_TYPE:
            return _T("STATUS_BAD_TOKEN_TYPE");
        case STATUS_BAD_MASTER_BOOT_RECORD:
            return _T("STATUS_BAD_MASTER_BOOT_RECORD");
        case STATUS_INSTRUCTION_MISALIGNMENT:
            return _T("STATUS_INSTRUCTION_MISALIGNMENT");
        case STATUS_INSTANCE_NOT_AVAILABLE:
            return _T("STATUS_INSTANCE_NOT_AVAILABLE");
        case STATUS_PIPE_NOT_AVAILABLE:
            return _T("STATUS_PIPE_NOT_AVAILABLE");
        case STATUS_INVALID_PIPE_STATE:
            return _T("STATUS_INVALID_PIPE_STATE");
        case STATUS_PIPE_BUSY:
            return _T("STATUS_PIPE_BUSY");
        case STATUS_ILLEGAL_FUNCTION:
            return _T("STATUS_ILLEGAL_FUNCTION");
        case STATUS_PIPE_DISCONNECTED:
            return _T("STATUS_PIPE_DISCONNECTED");
        case STATUS_PIPE_CLOSING:
            return _T("STATUS_PIPE_CLOSING");
        case STATUS_PIPE_CONNECTED:
            return _T("STATUS_PIPE_CONNECTED");
        case STATUS_PIPE_LISTENING:
            return _T("STATUS_PIPE_LISTENING");
        case STATUS_INVALID_READ_MODE:
            return _T("STATUS_INVALID_READ_MODE");
        case STATUS_IO_TIMEOUT:
            return _T("STATUS_IO_TIMEOUT");
        case STATUS_FILE_FORCED_CLOSED:
            return _T("STATUS_FILE_FORCED_CLOSED");
        case STATUS_PROFILING_NOT_STARTED:
            return _T("STATUS_PROFILING_NOT_STARTED");
        case STATUS_PROFILING_NOT_STOPPED:
            return _T("STATUS_PROFILING_NOT_STOPPED");
        case STATUS_COULD_NOT_INTERPRET:
            return _T("STATUS_COULD_NOT_INTERPRET");
        case STATUS_FILE_IS_A_DIRECTORY:
            return _T("STATUS_FILE_IS_A_DIRECTORY");
        case STATUS_NOT_SUPPORTED:
            return _T("STATUS_NOT_SUPPORTED");
        case STATUS_REMOTE_NOT_LISTENING:
            return _T("STATUS_REMOTE_NOT_LISTENING");
        case STATUS_DUPLICATE_NAME:
            return _T("STATUS_DUPLICATE_NAME");
        case STATUS_BAD_NETWORK_PATH:
            return _T("STATUS_BAD_NETWORK_PATH");
        case STATUS_NETWORK_BUSY:
            return _T("STATUS_NETWORK_BUSY");
        case STATUS_DEVICE_DOES_NOT_EXIST:
            return _T("STATUS_DEVICE_DOES_NOT_EXIST");
        case STATUS_TOO_MANY_COMMANDS:
            return _T("STATUS_TOO_MANY_COMMANDS");
        case STATUS_ADAPTER_HARDWARE_ERROR:
            return _T("STATUS_ADAPTER_HARDWARE_ERROR");
        case STATUS_INVALID_NETWORK_RESPONSE:
            return _T("STATUS_INVALID_NETWORK_RESPONSE");
        case STATUS_UNEXPECTED_NETWORK_ERROR:
            return _T("STATUS_UNEXPECTED_NETWORK_ERROR");
        case STATUS_BAD_REMOTE_ADAPTER:
            return _T("STATUS_BAD_REMOTE_ADAPTER");
        case STATUS_PRINT_QUEUE_FULL:
            return _T("STATUS_PRINT_QUEUE_FULL");
        case STATUS_NO_SPOOL_SPACE:
            return _T("STATUS_NO_SPOOL_SPACE");
        case STATUS_PRINT_CANCELLED:
            return _T("STATUS_PRINT_CANCELLED");
        case STATUS_NETWORK_NAME_DELETED:
            return _T("STATUS_NETWORK_NAME_DELETED");
        case STATUS_NETWORK_ACCESS_DENIED:
            return _T("STATUS_NETWORK_ACCESS_DENIED");
        case STATUS_BAD_DEVICE_TYPE:
            return _T("STATUS_BAD_DEVICE_TYPE");
        case STATUS_BAD_NETWORK_NAME:
            return _T("STATUS_BAD_NETWORK_NAME");
        case STATUS_TOO_MANY_NAMES:
            return _T("STATUS_TOO_MANY_NAMES");
        case STATUS_TOO_MANY_SESSIONS:
            return _T("STATUS_TOO_MANY_SESSIONS");
        case STATUS_SHARING_PAUSED:
            return _T("STATUS_SHARING_PAUSED");
        case STATUS_REQUEST_NOT_ACCEPTED:
            return _T("STATUS_REQUEST_NOT_ACCEPTED");
        case STATUS_REDIRECTOR_PAUSED:
            return _T("STATUS_REDIRECTOR_PAUSED");
        case STATUS_NET_WRITE_FAULT:
            return _T("STATUS_NET_WRITE_FAULT");
        case STATUS_PROFILING_AT_LIMIT:
            return _T("STATUS_PROFILING_AT_LIMIT");
        case STATUS_NOT_SAME_DEVICE:
            return _T("STATUS_NOT_SAME_DEVICE");
        case STATUS_FILE_RENAMED:
            return _T("STATUS_FILE_RENAMED");
        case STATUS_VIRTUAL_CIRCUIT_CLOSED:
            return _T("STATUS_VIRTUAL_CIRCUIT_CLOSED");
        case STATUS_NO_SECURITY_ON_OBJECT:
            return _T("STATUS_NO_SECURITY_ON_OBJECT");
        case STATUS_CANT_WAIT:
            return _T("STATUS_CANT_WAIT");
        case STATUS_PIPE_EMPTY:
            return _T("STATUS_PIPE_EMPTY");
        case STATUS_CANT_ACCESS_DOMAIN_INFO:
            return _T("STATUS_CANT_ACCESS_DOMAIN_INFO");
        case STATUS_CANT_TERMINATE_SELF:
            return _T("STATUS_CANT_TERMINATE_SELF");
        case STATUS_INVALID_SERVER_STATE:
            return _T("STATUS_INVALID_SERVER_STATE");
        case STATUS_INVALID_DOMAIN_STATE:
            return _T("STATUS_INVALID_DOMAIN_STATE");
        case STATUS_INVALID_DOMAIN_ROLE:
            return _T("STATUS_INVALID_DOMAIN_ROLE");
        case STATUS_NO_SUCH_DOMAIN:
            return _T("STATUS_NO_SUCH_DOMAIN");
        case STATUS_DOMAIN_EXISTS:
            return _T("STATUS_DOMAIN_EXISTS");
        case STATUS_DOMAIN_LIMIT_EXCEEDED:
            return _T("STATUS_DOMAIN_LIMIT_EXCEEDED");
        case STATUS_OPLOCK_NOT_GRANTED:
            return _T("STATUS_OPLOCK_NOT_GRANTED");
        case STATUS_INVALID_OPLOCK_PROTOCOL:
            return _T("STATUS_INVALID_OPLOCK_PROTOCOL");
        case STATUS_INTERNAL_DB_CORRUPTION:
            return _T("STATUS_INTERNAL_DB_CORRUPTION");
        case STATUS_INTERNAL_ERROR:
            return _T("STATUS_INTERNAL_ERROR");
        case STATUS_GENERIC_NOT_MAPPED:
            return _T("STATUS_GENERIC_NOT_MAPPED");
        case STATUS_BAD_DESCRIPTOR_FORMAT:
            return _T("STATUS_BAD_DESCRIPTOR_FORMAT");
        case STATUS_INVALID_USER_BUFFER:
            return _T("STATUS_INVALID_USER_BUFFER");
        case STATUS_UNEXPECTED_IO_ERROR:
            return _T("STATUS_UNEXPECTED_IO_ERROR");
        case STATUS_UNEXPECTED_MM_CREATE_ERR:
            return _T("STATUS_UNEXPECTED_MM_CREATE_ERR");
        case STATUS_UNEXPECTED_MM_MAP_ERROR:
            return _T("STATUS_UNEXPECTED_MM_MAP_ERROR");
        case STATUS_UNEXPECTED_MM_EXTEND_ERR:
            return _T("STATUS_UNEXPECTED_MM_EXTEND_ERR");
        case STATUS_NOT_LOGON_PROCESS:
            return _T("STATUS_NOT_LOGON_PROCESS");
        case STATUS_LOGON_SESSION_EXISTS:
            return _T("STATUS_LOGON_SESSION_EXISTS");
        case STATUS_INVALID_PARAMETER_1:
            return _T("STATUS_INVALID_PARAMETER_1");
        case STATUS_INVALID_PARAMETER_2:
            return _T("STATUS_INVALID_PARAMETER_2");
        case STATUS_INVALID_PARAMETER_3:
            return _T("STATUS_INVALID_PARAMETER_3");
        case STATUS_INVALID_PARAMETER_4:
            return _T("STATUS_INVALID_PARAMETER_4");
        case STATUS_INVALID_PARAMETER_5:
            return _T("STATUS_INVALID_PARAMETER_5");
        case STATUS_INVALID_PARAMETER_6:
            return _T("STATUS_INVALID_PARAMETER_6");
        case STATUS_INVALID_PARAMETER_7:
            return _T("STATUS_INVALID_PARAMETER_7");
        case STATUS_INVALID_PARAMETER_8:
            return _T("STATUS_INVALID_PARAMETER_8");
        case STATUS_INVALID_PARAMETER_9:
            return _T("STATUS_INVALID_PARAMETER_9");
        case STATUS_INVALID_PARAMETER_10:
            return _T("STATUS_INVALID_PARAMETER_10");
        case STATUS_INVALID_PARAMETER_11:
            return _T("STATUS_INVALID_PARAMETER_11");
        case STATUS_INVALID_PARAMETER_12:
            return _T("STATUS_INVALID_PARAMETER_12");
        case STATUS_REDIRECTOR_NOT_STARTED:
            return _T("STATUS_REDIRECTOR_NOT_STARTED");
        case STATUS_REDIRECTOR_STARTED:
            return _T("STATUS_REDIRECTOR_STARTED");
        case STATUS_STACK_OVERFLOW:
            return _T("STATUS_STACK_OVERFLOW");
        case STATUS_NO_SUCH_PACKAGE:
            return _T("STATUS_NO_SUCH_PACKAGE");
        case STATUS_BAD_FUNCTION_TABLE:
            return _T("STATUS_BAD_FUNCTION_TABLE");
        case STATUS_VARIABLE_NOT_FOUND:
            return _T("STATUS_VARIABLE_NOT_FOUND");
        case STATUS_DIRECTORY_NOT_EMPTY:
            return _T("STATUS_DIRECTORY_NOT_EMPTY");
        case STATUS_FILE_CORRUPT_ERROR:
            return _T("STATUS_FILE_CORRUPT_ERROR");
        case STATUS_NOT_A_DIRECTORY:
            return _T("STATUS_NOT_A_DIRECTORY");
        case STATUS_BAD_LOGON_SESSION_STATE:
            return _T("STATUS_BAD_LOGON_SESSION_STATE");
        case STATUS_LOGON_SESSION_COLLISION:
            return _T("STATUS_LOGON_SESSION_COLLISION");
        case STATUS_NAME_TOO_LONG:
            return _T("STATUS_NAME_TOO_LONG");
        case STATUS_FILES_OPEN:
            return _T("STATUS_FILES_OPEN");
        case STATUS_CONNECTION_IN_USE:
            return _T("STATUS_CONNECTION_IN_USE");
        case STATUS_MESSAGE_NOT_FOUND:
            return _T("STATUS_MESSAGE_NOT_FOUND");
        case STATUS_PROCESS_IS_TERMINATING:
            return _T("STATUS_PROCESS_IS_TERMINATING");
        case STATUS_INVALID_LOGON_TYPE:
            return _T("STATUS_INVALID_LOGON_TYPE");
        case STATUS_NO_GUID_TRANSLATION:
            return _T("STATUS_NO_GUID_TRANSLATION");
        case STATUS_CANNOT_IMPERSONATE:
            return _T("STATUS_CANNOT_IMPERSONATE");
        case STATUS_IMAGE_ALREADY_LOADED:
            return _T("STATUS_IMAGE_ALREADY_LOADED");
        case STATUS_ABIOS_NOT_PRESENT:
            return _T("STATUS_ABIOS_NOT_PRESENT");
        case STATUS_ABIOS_LID_NOT_EXIST:
            return _T("STATUS_ABIOS_LID_NOT_EXIST");
        case STATUS_ABIOS_LID_ALREADY_OWNED:
            return _T("STATUS_ABIOS_LID_ALREADY_OWNED");
        case STATUS_ABIOS_NOT_LID_OWNER:
            return _T("STATUS_ABIOS_NOT_LID_OWNER");
        case STATUS_ABIOS_INVALID_COMMAND:
            return _T("STATUS_ABIOS_INVALID_COMMAND");
        case STATUS_ABIOS_INVALID_LID:
            return _T("STATUS_ABIOS_INVALID_LID");
        case STATUS_ABIOS_SELECTOR_NOT_AVAILABLE:
            return _T("STATUS_ABIOS_SELECTOR_NOT_AVAILABLE");
        case STATUS_ABIOS_INVALID_SELECTOR:
            return _T("STATUS_ABIOS_INVALID_SELECTOR");
        case STATUS_NO_LDT:
            return _T("STATUS_NO_LDT");
        case STATUS_INVALID_LDT_SIZE:
            return _T("STATUS_INVALID_LDT_SIZE");
        case STATUS_INVALID_LDT_OFFSET:
            return _T("STATUS_INVALID_LDT_OFFSET");
        case STATUS_INVALID_LDT_DESCRIPTOR:
            return _T("STATUS_INVALID_LDT_DESCRIPTOR");
        case STATUS_INVALID_IMAGE_NE_FORMAT:
            return _T("STATUS_INVALID_IMAGE_NE_FORMAT");
        case STATUS_RXACT_INVALID_STATE:
            return _T("STATUS_RXACT_INVALID_STATE");
        case STATUS_RXACT_COMMIT_FAILURE:
            return _T("STATUS_RXACT_COMMIT_FAILURE");
        case STATUS_MAPPED_FILE_SIZE_ZERO:
            return _T("STATUS_MAPPED_FILE_SIZE_ZERO");
        case STATUS_TOO_MANY_OPENED_FILES:
            return _T("STATUS_TOO_MANY_OPENED_FILES");
        case STATUS_CANCELLED:
            return _T("STATUS_CANCELLED");
        case STATUS_CANNOT_DELETE:
            return _T("STATUS_CANNOT_DELETE");
        case STATUS_INVALID_COMPUTER_NAME:
            return _T("STATUS_INVALID_COMPUTER_NAME");
        case STATUS_FILE_DELETED:
            return _T("STATUS_FILE_DELETED");
        case STATUS_SPECIAL_ACCOUNT:
            return _T("STATUS_SPECIAL_ACCOUNT");
        case STATUS_SPECIAL_GROUP:
            return _T("STATUS_SPECIAL_GROUP");
        case STATUS_SPECIAL_USER:
            return _T("STATUS_SPECIAL_USER");
        case STATUS_MEMBERS_PRIMARY_GROUP:
            return _T("STATUS_MEMBERS_PRIMARY_GROUP");
        case STATUS_FILE_CLOSED:
            return _T("STATUS_FILE_CLOSED");
        case STATUS_TOO_MANY_THREADS:
            return _T("STATUS_TOO_MANY_THREADS");
        case STATUS_THREAD_NOT_IN_PROCESS:
            return _T("STATUS_THREAD_NOT_IN_PROCESS");
        case STATUS_TOKEN_ALREADY_IN_USE:
            return _T("STATUS_TOKEN_ALREADY_IN_USE");
        case STATUS_PAGEFILE_QUOTA_EXCEEDED:
            return _T("STATUS_PAGEFILE_QUOTA_EXCEEDED");
        case STATUS_COMMITMENT_LIMIT:
            return _T("STATUS_COMMITMENT_LIMIT");
        case STATUS_INVALID_IMAGE_LE_FORMAT:
            return _T("STATUS_INVALID_IMAGE_LE_FORMAT");
        case STATUS_INVALID_IMAGE_NOT_MZ:
            return _T("STATUS_INVALID_IMAGE_NOT_MZ");
        case STATUS_INVALID_IMAGE_PROTECT:
            return _T("STATUS_INVALID_IMAGE_PROTECT");
        case STATUS_INVALID_IMAGE_WIN_16:
            return _T("STATUS_INVALID_IMAGE_WIN_16");
        case STATUS_LOGON_SERVER_CONFLICT:
            return _T("STATUS_LOGON_SERVER_CONFLICT");
        case STATUS_TIME_DIFFERENCE_AT_DC:
            return _T("STATUS_TIME_DIFFERENCE_AT_DC");
        case STATUS_SYNCHRONIZATION_REQUIRED:
            return _T("STATUS_SYNCHRONIZATION_REQUIRED");
        case STATUS_DLL_NOT_FOUND:
            return _T("STATUS_DLL_NOT_FOUND");
        case STATUS_OPEN_FAILED:
            return _T("STATUS_OPEN_FAILED");
        case STATUS_IO_PRIVILEGE_FAILED:
            return _T("STATUS_IO_PRIVILEGE_FAILED");
        case STATUS_ORDINAL_NOT_FOUND:
            return _T("STATUS_ORDINAL_NOT_FOUND");
        case STATUS_ENTRYPOINT_NOT_FOUND:
            return _T("STATUS_ENTRYPOINT_NOT_FOUND");
        case STATUS_CONTROL_C_EXIT:
            return _T("STATUS_CONTROL_C_EXIT");
        case STATUS_LOCAL_DISCONNECT:
            return _T("STATUS_LOCAL_DISCONNECT");
        case STATUS_REMOTE_DISCONNECT:
            return _T("STATUS_REMOTE_DISCONNECT");
        case STATUS_REMOTE_RESOURCES:
            return _T("STATUS_REMOTE_RESOURCES");
        case STATUS_LINK_FAILED:
            return _T("STATUS_LINK_FAILED");
        case STATUS_LINK_TIMEOUT:
            return _T("STATUS_LINK_TIMEOUT");
        case STATUS_INVALID_CONNECTION:
            return _T("STATUS_INVALID_CONNECTION");
        case STATUS_INVALID_ADDRESS:
            return _T("STATUS_INVALID_ADDRESS");
        case STATUS_DLL_INIT_FAILED:
            return _T("STATUS_DLL_INIT_FAILED");
        case STATUS_MISSING_SYSTEMFILE:
            return _T("STATUS_MISSING_SYSTEMFILE");
        case STATUS_UNHANDLED_EXCEPTION:
            return _T("STATUS_UNHANDLED_EXCEPTION");
        case STATUS_APP_INIT_FAILURE:
            return _T("STATUS_APP_INIT_FAILURE");
        case STATUS_PAGEFILE_CREATE_FAILED:
            return _T("STATUS_PAGEFILE_CREATE_FAILED");
        case STATUS_NO_PAGEFILE:
            return _T("STATUS_NO_PAGEFILE");
        case STATUS_INVALID_LEVEL:
            return _T("STATUS_INVALID_LEVEL");
        case STATUS_WRONG_PASSWORD_CORE:
            return _T("STATUS_WRONG_PASSWORD_CORE");
        case STATUS_ILLEGAL_FLOAT_CONTEXT:
            return _T("STATUS_ILLEGAL_FLOAT_CONTEXT");
        case STATUS_PIPE_BROKEN:
            return _T("STATUS_PIPE_BROKEN");
        case STATUS_REGISTRY_CORRUPT:
            return _T("STATUS_REGISTRY_CORRUPT");
        case STATUS_REGISTRY_IO_FAILED:
            return _T("STATUS_REGISTRY_IO_FAILED");
        case STATUS_NO_EVENT_PAIR:
            return _T("STATUS_NO_EVENT_PAIR");
        case STATUS_UNRECOGNIZED_VOLUME:
            return _T("STATUS_UNRECOGNIZED_VOLUME");
        case STATUS_SERIAL_NO_DEVICE_INITED:
            return _T("STATUS_SERIAL_NO_DEVICE_INITED");
        case STATUS_NO_SUCH_ALIAS:
            return _T("STATUS_NO_SUCH_ALIAS");
        case STATUS_MEMBER_NOT_IN_ALIAS:
            return _T("STATUS_MEMBER_NOT_IN_ALIAS");
        case STATUS_MEMBER_IN_ALIAS:
            return _T("STATUS_MEMBER_IN_ALIAS");
        case STATUS_ALIAS_EXISTS:
            return _T("STATUS_ALIAS_EXISTS");
        case STATUS_LOGON_NOT_GRANTED:
            return _T("STATUS_LOGON_NOT_GRANTED");
        case STATUS_TOO_MANY_SECRETS:
            return _T("STATUS_TOO_MANY_SECRETS");
        case STATUS_SECRET_TOO_LONG:
            return _T("STATUS_SECRET_TOO_LONG");
        case STATUS_INTERNAL_DB_ERROR:
            return _T("STATUS_INTERNAL_DB_ERROR");
        case STATUS_FULLSCREEN_MODE:
            return _T("STATUS_FULLSCREEN_MODE");
        case STATUS_TOO_MANY_CONTEXT_IDS:
            return _T("STATUS_TOO_MANY_CONTEXT_IDS");
        case STATUS_LOGON_TYPE_NOT_GRANTED:
            return _T("STATUS_LOGON_TYPE_NOT_GRANTED");
        case STATUS_NOT_REGISTRY_FILE:
            return _T("STATUS_NOT_REGISTRY_FILE");
        case STATUS_NT_CROSS_ENCRYPTION_REQUIRED:
            return _T("STATUS_NT_CROSS_ENCRYPTION_REQUIRED");
        case STATUS_DOMAIN_CTRLR_CONFIG_ERROR:
            return _T("STATUS_DOMAIN_CTRLR_CONFIG_ERROR");
        case STATUS_FT_MISSING_MEMBER:
            return _T("STATUS_FT_MISSING_MEMBER");
        case STATUS_ILL_FORMED_SERVICE_ENTRY:
            return _T("STATUS_ILL_FORMED_SERVICE_ENTRY");
        case STATUS_ILLEGAL_CHARACTER:
            return _T("STATUS_ILLEGAL_CHARACTER");
        case STATUS_UNMAPPABLE_CHARACTER:
            return _T("STATUS_UNMAPPABLE_CHARACTER");
        case STATUS_UNDEFINED_CHARACTER:
            return _T("STATUS_UNDEFINED_CHARACTER");
        case STATUS_FLOPPY_VOLUME:
            return _T("STATUS_FLOPPY_VOLUME");
        case STATUS_FLOPPY_ID_MARK_NOT_FOUND:
            return _T("STATUS_FLOPPY_ID_MARK_NOT_FOUND");
        case STATUS_FLOPPY_WRONG_CYLINDER:
            return _T("STATUS_FLOPPY_WRONG_CYLINDER");
        case STATUS_FLOPPY_UNKNOWN_ERROR:
            return _T("STATUS_FLOPPY_UNKNOWN_ERROR");
        case STATUS_FLOPPY_BAD_REGISTERS:
            return _T("STATUS_FLOPPY_BAD_REGISTERS");
        case STATUS_DISK_RECALIBRATE_FAILED:
            return _T("STATUS_DISK_RECALIBRATE_FAILED");
        case STATUS_DISK_OPERATION_FAILED:
            return _T("STATUS_DISK_OPERATION_FAILED");
        case STATUS_DISK_RESET_FAILED:
            return _T("STATUS_DISK_RESET_FAILED");
        case STATUS_SHARED_IRQ_BUSY:
            return _T("STATUS_SHARED_IRQ_BUSY");
        case STATUS_FT_ORPHANING:
            return _T("STATUS_FT_ORPHANING");
        case STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT:
            return _T("STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT");
        case STATUS_PARTITION_FAILURE:
            return _T("STATUS_PARTITION_FAILURE");
        case STATUS_INVALID_BLOCK_LENGTH:
            return _T("STATUS_INVALID_BLOCK_LENGTH");
        case STATUS_DEVICE_NOT_PARTITIONED:
            return _T("STATUS_DEVICE_NOT_PARTITIONED");
        case STATUS_UNABLE_TO_LOCK_MEDIA:
            return _T("STATUS_UNABLE_TO_LOCK_MEDIA");
        case STATUS_UNABLE_TO_UNLOAD_MEDIA:
            return _T("STATUS_UNABLE_TO_UNLOAD_MEDIA");
        case STATUS_EOM_OVERFLOW:
            return _T("STATUS_EOM_OVERFLOW");
        case STATUS_NO_MEDIA:
            return _T("STATUS_NO_MEDIA");
        case STATUS_NO_SUCH_MEMBER:
            return _T("STATUS_NO_SUCH_MEMBER");
        case STATUS_INVALID_MEMBER:
            return _T("STATUS_INVALID_MEMBER");
        case STATUS_KEY_DELETED:
            return _T("STATUS_KEY_DELETED");
        case STATUS_NO_LOG_SPACE:
            return _T("STATUS_NO_LOG_SPACE");
        case STATUS_TOO_MANY_SIDS:
            return _T("STATUS_TOO_MANY_SIDS");
        case STATUS_LM_CROSS_ENCRYPTION_REQUIRED:
            return _T("STATUS_LM_CROSS_ENCRYPTION_REQUIRED");
        case STATUS_KEY_HAS_CHILDREN:
            return _T("STATUS_KEY_HAS_CHILDREN");
        case STATUS_CHILD_MUST_BE_VOLATILE:
            return _T("STATUS_CHILD_MUST_BE_VOLATILE");
        case STATUS_DEVICE_CONFIGURATION_ERROR:
            return _T("STATUS_DEVICE_CONFIGURATION_ERROR");
        case STATUS_DRIVER_INTERNAL_ERROR:
            return _T("STATUS_DRIVER_INTERNAL_ERROR");
        case STATUS_INVALID_DEVICE_STATE:
            return _T("STATUS_INVALID_DEVICE_STATE");
        case STATUS_IO_DEVICE_ERROR:
            return _T("STATUS_IO_DEVICE_ERROR");
        case STATUS_DEVICE_PROTOCOL_ERROR:
            return _T("STATUS_DEVICE_PROTOCOL_ERROR");
        case STATUS_BACKUP_CONTROLLER:
            return _T("STATUS_BACKUP_CONTROLLER");
        case STATUS_LOG_FILE_FULL:
            return _T("STATUS_LOG_FILE_FULL");
        case STATUS_TOO_LATE:
            return _T("STATUS_TOO_LATE");
        case STATUS_NO_TRUST_LSA_SECRET:
            return _T("STATUS_NO_TRUST_LSA_SECRET");
        case STATUS_NO_TRUST_SAM_ACCOUNT:
            return _T("STATUS_NO_TRUST_SAM_ACCOUNT");
        case STATUS_TRUSTED_DOMAIN_FAILURE:
            return _T("STATUS_TRUSTED_DOMAIN_FAILURE");
        case STATUS_TRUSTED_RELATIONSHIP_FAILURE:
            return _T("STATUS_TRUSTED_RELATIONSHIP_FAILURE");
        case STATUS_EVENTLOG_FILE_CORRUPT:
            return _T("STATUS_EVENTLOG_FILE_CORRUPT");
        case STATUS_EVENTLOG_CANT_START:
            return _T("STATUS_EVENTLOG_CANT_START");
        case STATUS_TRUST_FAILURE:
            return _T("STATUS_TRUST_FAILURE");
        case STATUS_MUTANT_LIMIT_EXCEEDED:
            return _T("STATUS_MUTANT_LIMIT_EXCEEDED");
        case STATUS_NETLOGON_NOT_STARTED:
            return _T("STATUS_NETLOGON_NOT_STARTED");
        case STATUS_ACCOUNT_EXPIRED:
            return _T("STATUS_ACCOUNT_EXPIRED");
        case STATUS_POSSIBLE_DEADLOCK:
            return _T("STATUS_POSSIBLE_DEADLOCK");
        case STATUS_NETWORK_CREDENTIAL_CONFLICT:
            return _T("STATUS_NETWORK_CREDENTIAL_CONFLICT");
        case STATUS_REMOTE_SESSION_LIMIT:
            return _T("STATUS_REMOTE_SESSION_LIMIT");
        case STATUS_EVENTLOG_FILE_CHANGED:
            return _T("STATUS_EVENTLOG_FILE_CHANGED");
        case STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT:
            return _T("STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT");
        case STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT:
            return _T("STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT");
        case STATUS_NOLOGON_SERVER_TRUST_ACCOUNT:
            return _T("STATUS_NOLOGON_SERVER_TRUST_ACCOUNT");
        case STATUS_DOMAIN_TRUST_INCONSISTENT:
            return _T("STATUS_DOMAIN_TRUST_INCONSISTENT");
        case STATUS_FS_DRIVER_REQUIRED:
            return _T("STATUS_FS_DRIVER_REQUIRED");
        case STATUS_NO_USER_SESSION_KEY:
            return _T("STATUS_NO_USER_SESSION_KEY");
        case STATUS_USER_SESSION_DELETED:
            return _T("STATUS_USER_SESSION_DELETED");
        case STATUS_RESOURCE_LANG_NOT_FOUND:
            return _T("STATUS_RESOURCE_LANG_NOT_FOUND");
        case STATUS_INSUFF_SERVER_RESOURCES:
            return _T("STATUS_INSUFF_SERVER_RESOURCES");
        case STATUS_INVALID_BUFFER_SIZE:
            return _T("STATUS_INVALID_BUFFER_SIZE");
        case STATUS_INVALID_ADDRESS_COMPONENT:
            return _T("STATUS_INVALID_ADDRESS_COMPONENT");
        case STATUS_INVALID_ADDRESS_WILDCARD:
            return _T("STATUS_INVALID_ADDRESS_WILDCARD");
        case STATUS_TOO_MANY_ADDRESSES:
            return _T("STATUS_TOO_MANY_ADDRESSES");
        case STATUS_ADDRESS_ALREADY_EXISTS:
            return _T("STATUS_ADDRESS_ALREADY_EXISTS");
        case STATUS_ADDRESS_CLOSED:
            return _T("STATUS_ADDRESS_CLOSED");
        case STATUS_CONNECTION_DISCONNECTED:
            return _T("STATUS_CONNECTION_DISCONNECTED");
        case STATUS_CONNECTION_RESET:
            return _T("STATUS_CONNECTION_RESET");
        case STATUS_TOO_MANY_NODES:
            return _T("STATUS_TOO_MANY_NODES");
        case STATUS_TRANSACTION_ABORTED:
            return _T("STATUS_TRANSACTION_ABORTED");
        case STATUS_TRANSACTION_TIMED_OUT:
            return _T("STATUS_TRANSACTION_TIMED_OUT");
        case STATUS_TRANSACTION_NO_RELEASE:
            return _T("STATUS_TRANSACTION_NO_RELEASE");
        case STATUS_TRANSACTION_NO_MATCH:
            return _T("STATUS_TRANSACTION_NO_MATCH");
        case STATUS_TRANSACTION_RESPONDED:
            return _T("STATUS_TRANSACTION_RESPONDED");
        case STATUS_TRANSACTION_INVALID_ID:
            return _T("STATUS_TRANSACTION_INVALID_ID");
        case STATUS_TRANSACTION_INVALID_TYPE:
            return _T("STATUS_TRANSACTION_INVALID_TYPE");
        case STATUS_NOT_SERVER_SESSION:
            return _T("STATUS_NOT_SERVER_SESSION");
        case STATUS_NOT_CLIENT_SESSION:
            return _T("STATUS_NOT_CLIENT_SESSION");
        case STATUS_CANNOT_LOAD_REGISTRY_FILE:
            return _T("STATUS_CANNOT_LOAD_REGISTRY_FILE");
        case STATUS_DEBUG_ATTACH_FAILED:
            return _T("STATUS_DEBUG_ATTACH_FAILED");
        case STATUS_SYSTEM_PROCESS_TERMINATED:
            return _T("STATUS_SYSTEM_PROCESS_TERMINATED");
        case STATUS_DATA_NOT_ACCEPTED:
            return _T("STATUS_DATA_NOT_ACCEPTED");
        case STATUS_NO_BROWSER_SERVERS_FOUND:
            return _T("STATUS_NO_BROWSER_SERVERS_FOUND");
        case STATUS_VDM_HARD_ERROR:
            return _T("STATUS_VDM_HARD_ERROR");
        case STATUS_DRIVER_CANCEL_TIMEOUT:
            return _T("STATUS_DRIVER_CANCEL_TIMEOUT");
        case STATUS_REPLY_MESSAGE_MISMATCH:
            return _T("STATUS_REPLY_MESSAGE_MISMATCH");
        case STATUS_MAPPED_ALIGNMENT:
            return _T("STATUS_MAPPED_ALIGNMENT");
        case STATUS_IMAGE_CHECKSUM_MISMATCH:
            return _T("STATUS_IMAGE_CHECKSUM_MISMATCH");
        case STATUS_LOST_WRITEBEHIND_DATA:
            return _T("STATUS_LOST_WRITEBEHIND_DATA");
        case STATUS_CLIENT_SERVER_PARAMETERS_INVALID:
            return _T("STATUS_CLIENT_SERVER_PARAMETERS_INVALID");
        case STATUS_PASSWORD_MUST_CHANGE:
            return _T("STATUS_PASSWORD_MUST_CHANGE");
        case STATUS_NOT_FOUND:
            return _T("STATUS_NOT_FOUND");
        case STATUS_NOT_TINY_STREAM:
            return _T("STATUS_NOT_TINY_STREAM");
        case STATUS_RECOVERY_FAILURE:
            return _T("STATUS_RECOVERY_FAILURE");
        case STATUS_STACK_OVERFLOW_READ:
            return _T("STATUS_STACK_OVERFLOW_READ");
        case STATUS_FAIL_CHECK:
            return _T("STATUS_FAIL_CHECK");
        case STATUS_DUPLICATE_OBJECTID:
            return _T("STATUS_DUPLICATE_OBJECTID");
        case STATUS_OBJECTID_EXISTS:
            return _T("STATUS_OBJECTID_EXISTS");
        case STATUS_CONVERT_TO_LARGE:
            return _T("STATUS_CONVERT_TO_LARGE");
        case STATUS_RETRY:
            return _T("STATUS_RETRY");
        case STATUS_FOUND_OUT_OF_SCOPE:
            return _T("STATUS_FOUND_OUT_OF_SCOPE");
        case STATUS_ALLOCATE_BUCKET:
            return _T("STATUS_ALLOCATE_BUCKET");
        case STATUS_PROPSET_NOT_FOUND:
            return _T("STATUS_PROPSET_NOT_FOUND");
        case STATUS_MARSHALL_OVERFLOW:
            return _T("STATUS_MARSHALL_OVERFLOW");
        case STATUS_INVALID_VARIANT:
            return _T("STATUS_INVALID_VARIANT");
        case STATUS_DOMAIN_CONTROLLER_NOT_FOUND:
            return _T("STATUS_DOMAIN_CONTROLLER_NOT_FOUND");
        case STATUS_ACCOUNT_LOCKED_OUT:
            return _T("STATUS_ACCOUNT_LOCKED_OUT");
        case STATUS_HANDLE_NOT_CLOSABLE:
            return _T("STATUS_HANDLE_NOT_CLOSABLE");
        case STATUS_CONNECTION_REFUSED:
            return _T("STATUS_CONNECTION_REFUSED");
        case STATUS_GRACEFUL_DISCONNECT:
            return _T("STATUS_GRACEFUL_DISCONNECT");
        case STATUS_ADDRESS_ALREADY_ASSOCIATED:
            return _T("STATUS_ADDRESS_ALREADY_ASSOCIATED");
        case STATUS_ADDRESS_NOT_ASSOCIATED:
            return _T("STATUS_ADDRESS_NOT_ASSOCIATED");
        case STATUS_CONNECTION_INVALID:
            return _T("STATUS_CONNECTION_INVALID");
        case STATUS_CONNECTION_ACTIVE:
            return _T("STATUS_CONNECTION_ACTIVE");
        case STATUS_NETWORK_UNREACHABLE:
            return _T("STATUS_NETWORK_UNREACHABLE");
        case STATUS_HOST_UNREACHABLE:
            return _T("STATUS_HOST_UNREACHABLE");
        case STATUS_PROTOCOL_UNREACHABLE:
            return _T("STATUS_PROTOCOL_UNREACHABLE");
        case STATUS_PORT_UNREACHABLE:
            return _T("STATUS_PORT_UNREACHABLE");
        case STATUS_REQUEST_ABORTED:
            return _T("STATUS_REQUEST_ABORTED");
        case STATUS_CONNECTION_ABORTED:
            return _T("STATUS_CONNECTION_ABORTED");
        case STATUS_BAD_COMPRESSION_BUFFER:
            return _T("STATUS_BAD_COMPRESSION_BUFFER");
        case STATUS_USER_MAPPED_FILE:
            return _T("STATUS_USER_MAPPED_FILE");
        case STATUS_AUDIT_FAILED:
            return _T("STATUS_AUDIT_FAILED");
        case STATUS_TIMER_RESOLUTION_NOT_SET:
            return _T("STATUS_TIMER_RESOLUTION_NOT_SET");
        case STATUS_CONNECTION_COUNT_LIMIT:
            return _T("STATUS_CONNECTION_COUNT_LIMIT");
        case STATUS_LOGIN_TIME_RESTRICTION:
            return _T("STATUS_LOGIN_TIME_RESTRICTION");
        case STATUS_LOGIN_WKSTA_RESTRICTION:
            return _T("STATUS_LOGIN_WKSTA_RESTRICTION");
        case STATUS_IMAGE_MP_UP_MISMATCH:
            return _T("STATUS_IMAGE_MP_UP_MISMATCH");
        case STATUS_INSUFFICIENT_LOGON_INFO:
            return _T("STATUS_INSUFFICIENT_LOGON_INFO");
        case STATUS_BAD_DLL_ENTRYPOINT:
            return _T("STATUS_BAD_DLL_ENTRYPOINT");
        case STATUS_BAD_SERVICE_ENTRYPOINT:
            return _T("STATUS_BAD_SERVICE_ENTRYPOINT");
        case STATUS_LPC_REPLY_LOST:
            return _T("STATUS_LPC_REPLY_LOST");
        case STATUS_IP_ADDRESS_CONFLICT1:
            return _T("STATUS_IP_ADDRESS_CONFLICT1");
        case STATUS_IP_ADDRESS_CONFLICT2:
            return _T("STATUS_IP_ADDRESS_CONFLICT2");
        case STATUS_REGISTRY_QUOTA_LIMIT:
            return _T("STATUS_REGISTRY_QUOTA_LIMIT");
        case STATUS_PATH_NOT_COVERED:
            return _T("STATUS_PATH_NOT_COVERED");
        case STATUS_NO_CALLBACK_ACTIVE:
            return _T("STATUS_NO_CALLBACK_ACTIVE");
        case STATUS_LICENSE_QUOTA_EXCEEDED:
            return _T("STATUS_LICENSE_QUOTA_EXCEEDED");
        case STATUS_PWD_TOO_SHORT:
            return _T("STATUS_PWD_TOO_SHORT");
        case STATUS_PWD_TOO_RECENT:
            return _T("STATUS_PWD_TOO_RECENT");
        case STATUS_PWD_HISTORY_CONFLICT:
            return _T("STATUS_PWD_HISTORY_CONFLICT");
        case STATUS_PLUGPLAY_NO_DEVICE:
            return _T("STATUS_PLUGPLAY_NO_DEVICE");
        case STATUS_UNSUPPORTED_COMPRESSION:
            return _T("STATUS_UNSUPPORTED_COMPRESSION");
        case STATUS_INVALID_HW_PROFILE:
            return _T("STATUS_INVALID_HW_PROFILE");
        case STATUS_INVALID_PLUGPLAY_DEVICE_PATH:
            return _T("STATUS_INVALID_PLUGPLAY_DEVICE_PATH");
        case STATUS_DRIVER_ORDINAL_NOT_FOUND:
            return _T("STATUS_DRIVER_ORDINAL_NOT_FOUND");
        case STATUS_DRIVER_ENTRYPOINT_NOT_FOUND:
            return _T("STATUS_DRIVER_ENTRYPOINT_NOT_FOUND");
        case STATUS_RESOURCE_NOT_OWNED:
            return _T("STATUS_RESOURCE_NOT_OWNED");
        case STATUS_TOO_MANY_LINKS:
            return _T("STATUS_TOO_MANY_LINKS");
        case STATUS_QUOTA_LIST_INCONSISTENT:
            return _T("STATUS_QUOTA_LIST_INCONSISTENT");
        case STATUS_FILE_IS_OFFLINE:
            return _T("STATUS_FILE_IS_OFFLINE");
        case STATUS_EVALUATION_EXPIRATION:
            return _T("STATUS_EVALUATION_EXPIRATION");
        case STATUS_ILLEGAL_DLL_RELOCATION:
            return _T("STATUS_ILLEGAL_DLL_RELOCATION");
        case STATUS_LICENSE_VIOLATION:
            return _T("STATUS_LICENSE_VIOLATION");
        case STATUS_DLL_INIT_FAILED_LOGOFF:
            return _T("STATUS_DLL_INIT_FAILED_LOGOFF");
        case STATUS_DRIVER_UNABLE_TO_LOAD:
            return _T("STATUS_DRIVER_UNABLE_TO_LOAD");
        case STATUS_DFS_UNAVAILABLE:
            return _T("STATUS_DFS_UNAVAILABLE");
        case STATUS_VOLUME_DISMOUNTED:
            return _T("STATUS_VOLUME_DISMOUNTED");
        case STATUS_WX86_INTERNAL_ERROR:
            return _T("STATUS_WX86_INTERNAL_ERROR");
        case STATUS_WX86_FLOAT_STACK_CHECK:
            return _T("STATUS_WX86_FLOAT_STACK_CHECK");
        case STATUS_VALIDATE_CONTINUE:
            return _T("STATUS_VALIDATE_CONTINUE");
        case STATUS_NO_MATCH:
            return _T("STATUS_NO_MATCH");
        case STATUS_NO_MORE_MATCHES:
            return _T("STATUS_NO_MORE_MATCHES");
        case STATUS_NOT_A_REPARSE_POINT:
            return _T("STATUS_NOT_A_REPARSE_POINT");
        case STATUS_IO_REPARSE_TAG_INVALID:
            return _T("STATUS_IO_REPARSE_TAG_INVALID");
        case STATUS_IO_REPARSE_TAG_MISMATCH:
            return _T("STATUS_IO_REPARSE_TAG_MISMATCH");
        case STATUS_IO_REPARSE_DATA_INVALID:
            return _T("STATUS_IO_REPARSE_DATA_INVALID");
        case STATUS_IO_REPARSE_TAG_NOT_HANDLED:
            return _T("STATUS_IO_REPARSE_TAG_NOT_HANDLED");
        case STATUS_REPARSE_POINT_NOT_RESOLVED:
            return _T("STATUS_REPARSE_POINT_NOT_RESOLVED");
        case STATUS_DIRECTORY_IS_A_REPARSE_POINT:
            return _T("STATUS_DIRECTORY_IS_A_REPARSE_POINT");
        case STATUS_RANGE_LIST_CONFLICT:
            return _T("STATUS_RANGE_LIST_CONFLICT");
        case STATUS_SOURCE_ELEMENT_EMPTY:
            return _T("STATUS_SOURCE_ELEMENT_EMPTY");
        case STATUS_DESTINATION_ELEMENT_FULL:
            return _T("STATUS_DESTINATION_ELEMENT_FULL");
        case STATUS_ILLEGAL_ELEMENT_ADDRESS:
            return _T("STATUS_ILLEGAL_ELEMENT_ADDRESS");
        case STATUS_MAGAZINE_NOT_PRESENT:
            return _T("STATUS_MAGAZINE_NOT_PRESENT");
        case STATUS_REINITIALIZATION_NEEDED:
            return _T("STATUS_REINITIALIZATION_NEEDED");
        case STATUS_ENCRYPTION_FAILED:
            return _T("STATUS_ENCRYPTION_FAILED");
        case STATUS_DECRYPTION_FAILED:
            return _T("STATUS_DECRYPTION_FAILED");
        case STATUS_RANGE_NOT_FOUND:
            return _T("STATUS_RANGE_NOT_FOUND");
        case STATUS_NO_RECOVERY_POLICY:
            return _T("STATUS_NO_RECOVERY_POLICY");
        case STATUS_NO_EFS:
            return _T("STATUS_NO_EFS");
        case STATUS_WRONG_EFS:
            return _T("STATUS_WRONG_EFS");
        case STATUS_NO_USER_KEYS:
            return _T("STATUS_NO_USER_KEYS");
        case STATUS_FILE_NOT_ENCRYPTED:
            return _T("STATUS_FILE_NOT_ENCRYPTED");
        case STATUS_NOT_EXPORT_FORMAT:
            return _T("STATUS_NOT_EXPORT_FORMAT");
        case STATUS_FILE_ENCRYPTED:
            return _T("STATUS_FILE_ENCRYPTED");
        case STATUS_WMI_GUID_NOT_FOUND:
            return _T("STATUS_WMI_GUID_NOT_FOUND");
        case STATUS_WMI_INSTANCE_NOT_FOUND:
            return _T("STATUS_WMI_INSTANCE_NOT_FOUND");
        case STATUS_WMI_ITEMID_NOT_FOUND:
            return _T("STATUS_WMI_ITEMID_NOT_FOUND");
        case STATUS_WMI_TRY_AGAIN:
            return _T("STATUS_WMI_TRY_AGAIN");
        case STATUS_SHARED_POLICY:
            return _T("STATUS_SHARED_POLICY");
        case STATUS_POLICY_OBJECT_NOT_FOUND:
            return _T("STATUS_POLICY_OBJECT_NOT_FOUND");
        case STATUS_POLICY_ONLY_IN_DS:
            return _T("STATUS_POLICY_ONLY_IN_DS");
        case STATUS_VOLUME_NOT_UPGRADED:
            return _T("STATUS_VOLUME_NOT_UPGRADED");
        case STATUS_REMOTE_STORAGE_NOT_ACTIVE:
            return _T("STATUS_REMOTE_STORAGE_NOT_ACTIVE");
        case STATUS_REMOTE_STORAGE_MEDIA_ERROR:
            return _T("STATUS_REMOTE_STORAGE_MEDIA_ERROR");
        case STATUS_NO_TRACKING_SERVICE:
            return _T("STATUS_NO_TRACKING_SERVICE");
        case STATUS_SERVER_SID_MISMATCH:
            return _T("STATUS_SERVER_SID_MISMATCH");
        case STATUS_DS_NO_ATTRIBUTE_OR_VALUE:
            return _T("STATUS_DS_NO_ATTRIBUTE_OR_VALUE");
        case STATUS_DS_INVALID_ATTRIBUTE_SYNTAX:
            return _T("STATUS_DS_INVALID_ATTRIBUTE_SYNTAX");
        case STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED:
            return _T("STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED");
        case STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS:
            return _T("STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS");
        case STATUS_DS_BUSY:
            return _T("STATUS_DS_BUSY");
        case STATUS_DS_UNAVAILABLE:
            return _T("STATUS_DS_UNAVAILABLE");
        case STATUS_DS_NO_RIDS_ALLOCATED:
            return _T("STATUS_DS_NO_RIDS_ALLOCATED");
        case STATUS_DS_NO_MORE_RIDS:
            return _T("STATUS_DS_NO_MORE_RIDS");
        case STATUS_DS_INCORRECT_ROLE_OWNER:
            return _T("STATUS_DS_INCORRECT_ROLE_OWNER");
        case STATUS_DS_RIDMGR_INIT_ERROR:
            return _T("STATUS_DS_RIDMGR_INIT_ERROR");
        case STATUS_DS_OBJ_CLASS_VIOLATION:
            return _T("STATUS_DS_OBJ_CLASS_VIOLATION");
        case STATUS_DS_CANT_ON_NON_LEAF:
            return _T("STATUS_DS_CANT_ON_NON_LEAF");
        case STATUS_DS_CANT_ON_RDN:
            return _T("STATUS_DS_CANT_ON_RDN");
        case STATUS_DS_CANT_MOD_OBJ_CLASS:
            return _T("STATUS_DS_CANT_MOD_OBJ_CLASS");
        case STATUS_DS_CROSS_DOM_MOVE_FAILED:
            return _T("STATUS_DS_CROSS_DOM_MOVE_FAILED");
        case STATUS_DS_GC_NOT_AVAILABLE:
            return _T("STATUS_DS_GC_NOT_AVAILABLE");
        case STATUS_DIRECTORY_SERVICE_REQUIRED:
            return _T("STATUS_DIRECTORY_SERVICE_REQUIRED");
        case STATUS_REPARSE_ATTRIBUTE_CONFLICT:
            return _T("STATUS_REPARSE_ATTRIBUTE_CONFLICT");
        case STATUS_CANT_ENABLE_DENY_ONLY:
            return _T("STATUS_CANT_ENABLE_DENY_ONLY");
        case STATUS_FLOAT_MULTIPLE_FAULTS:
            return _T("STATUS_FLOAT_MULTIPLE_FAULTS");
        case STATUS_FLOAT_MULTIPLE_TRAPS:
            return _T("STATUS_FLOAT_MULTIPLE_TRAPS");
        case STATUS_DEVICE_REMOVED:
            return _T("STATUS_DEVICE_REMOVED");
        case STATUS_JOURNAL_DELETE_IN_PROGRESS:
            return _T("STATUS_JOURNAL_DELETE_IN_PROGRESS");
        case STATUS_JOURNAL_NOT_ACTIVE:
            return _T("STATUS_JOURNAL_NOT_ACTIVE");
        case STATUS_NOINTERFACE:
            return _T("STATUS_NOINTERFACE");
        case STATUS_DS_ADMIN_LIMIT_EXCEEDED:
            return _T("STATUS_DS_ADMIN_LIMIT_EXCEEDED");
        case STATUS_DRIVER_FAILED_SLEEP:
            return _T("STATUS_DRIVER_FAILED_SLEEP");
        case STATUS_MUTUAL_AUTHENTICATION_FAILED:
            return _T("STATUS_MUTUAL_AUTHENTICATION_FAILED");
        case STATUS_CORRUPT_SYSTEM_FILE:
            return _T("STATUS_CORRUPT_SYSTEM_FILE");
        case STATUS_DATATYPE_MISALIGNMENT_ERROR:
            return _T("STATUS_DATATYPE_MISALIGNMENT_ERROR");
        case STATUS_WMI_READ_ONLY:
            return _T("STATUS_WMI_READ_ONLY");
        case STATUS_WMI_SET_FAILURE:
            return _T("STATUS_WMI_SET_FAILURE");
        case STATUS_COMMITMENT_MINIMUM:
            return _T("STATUS_COMMITMENT_MINIMUM");
        case STATUS_REG_NAT_CONSUMPTION:
            return _T("STATUS_REG_NAT_CONSUMPTION");
        case STATUS_TRANSPORT_FULL:
            return _T("STATUS_TRANSPORT_FULL");
        case STATUS_DS_SAM_INIT_FAILURE:
            return _T("STATUS_DS_SAM_INIT_FAILURE");
        case STATUS_ONLY_IF_CONNECTED:
            return _T("STATUS_ONLY_IF_CONNECTED");
        case STATUS_DS_SENSITIVE_GROUP_VIOLATION:
            return _T("STATUS_DS_SENSITIVE_GROUP_VIOLATION");
        case STATUS_PNP_RESTART_ENUMERATION:
            return _T("STATUS_PNP_RESTART_ENUMERATION");
        case STATUS_JOURNAL_ENTRY_DELETED:
            return _T("STATUS_JOURNAL_ENTRY_DELETED");
        case STATUS_DS_CANT_MOD_PRIMARYGROUPID:
            return _T("STATUS_DS_CANT_MOD_PRIMARYGROUPID");
        case STATUS_SYSTEM_IMAGE_BAD_SIGNATURE:
            return _T("STATUS_SYSTEM_IMAGE_BAD_SIGNATURE");
        case STATUS_PNP_REBOOT_REQUIRED:
            return _T("STATUS_PNP_REBOOT_REQUIRED");
        case STATUS_POWER_STATE_INVALID:
            return _T("STATUS_POWER_STATE_INVALID");
        case STATUS_DS_INVALID_GROUP_TYPE:
            return _T("STATUS_DS_INVALID_GROUP_TYPE");
        case STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN:
            return _T("STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN");
        case STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN:
            return _T("STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN");
        case STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER:
            return _T("STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER");
        case STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER:
            return _T("STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER");
        case STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER:
            return _T("STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER");
        case STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER:
            return _T("STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER");
        case STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER:
            return _T("STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER");
        case STATUS_DS_HAVE_PRIMARY_MEMBERS:
            return _T("STATUS_DS_HAVE_PRIMARY_MEMBERS");
        case STATUS_WMI_NOT_SUPPORTED:
            return _T("STATUS_WMI_NOT_SUPPORTED");
        case STATUS_INSUFFICIENT_POWER:
            return _T("STATUS_INSUFFICIENT_POWER");
        case STATUS_SAM_NEED_BOOTKEY_PASSWORD:
            return _T("STATUS_SAM_NEED_BOOTKEY_PASSWORD");
        case STATUS_SAM_NEED_BOOTKEY_FLOPPY:
            return _T("STATUS_SAM_NEED_BOOTKEY_FLOPPY");
        case STATUS_DS_CANT_START:
            return _T("STATUS_DS_CANT_START");
        case STATUS_DS_INIT_FAILURE:
            return _T("STATUS_DS_INIT_FAILURE");
        case STATUS_SAM_INIT_FAILURE:
            return _T("STATUS_SAM_INIT_FAILURE");
        case STATUS_DS_GC_REQUIRED:
            return _T("STATUS_DS_GC_REQUIRED");
        case STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY:
            return _T("STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY");
        case STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS:
            return _T("STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS");
        case STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED:
            return _T("STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED");
        case STATUS_MULTIPLE_FAULT_VIOLATION:
            return _T("STATUS_MULTIPLE_FAULT_VIOLATION");
        case STATUS_CURRENT_DOMAIN_NOT_ALLOWED:
            return _T("STATUS_CURRENT_DOMAIN_NOT_ALLOWED");
        case STATUS_CANNOT_MAKE:
            return _T("STATUS_CANNOT_MAKE");
        case STATUS_SYSTEM_SHUTDOWN:
            return _T("STATUS_SYSTEM_SHUTDOWN");
        case STATUS_DS_INIT_FAILURE_CONSOLE:
            return _T("STATUS_DS_INIT_FAILURE_CONSOLE");
        case STATUS_DS_SAM_INIT_FAILURE_CONSOLE:
            return _T("STATUS_DS_SAM_INIT_FAILURE_CONSOLE");
        case STATUS_UNFINISHED_CONTEXT_DELETED:
            return _T("STATUS_UNFINISHED_CONTEXT_DELETED");
        case STATUS_NO_TGT_REPLY:
            return _T("STATUS_NO_TGT_REPLY");
        case STATUS_OBJECTID_NOT_FOUND:
            return _T("STATUS_OBJECTID_NOT_FOUND");
        case STATUS_NO_IP_ADDRESSES:
            return _T("STATUS_NO_IP_ADDRESSES");
        case STATUS_WRONG_CREDENTIAL_HANDLE:
            return _T("STATUS_WRONG_CREDENTIAL_HANDLE");
        case STATUS_CRYPTO_SYSTEM_INVALID:
            return _T("STATUS_CRYPTO_SYSTEM_INVALID");
        case STATUS_MAX_REFERRALS_EXCEEDED:
            return _T("STATUS_MAX_REFERRALS_EXCEEDED");
        case STATUS_MUST_BE_KDC:
            return _T("STATUS_MUST_BE_KDC");
        case STATUS_STRONG_CRYPTO_NOT_SUPPORTED:
            return _T("STATUS_STRONG_CRYPTO_NOT_SUPPORTED");
        case STATUS_TOO_MANY_PRINCIPALS:
            return _T("STATUS_TOO_MANY_PRINCIPALS");
        case STATUS_NO_PA_DATA:
            return _T("STATUS_NO_PA_DATA");
        case STATUS_PKINIT_NAME_MISMATCH:
            return _T("STATUS_PKINIT_NAME_MISMATCH");
        case STATUS_SMARTCARD_LOGON_REQUIRED:
            return _T("STATUS_SMARTCARD_LOGON_REQUIRED");
        case STATUS_KDC_INVALID_REQUEST:
            return _T("STATUS_KDC_INVALID_REQUEST");
        case STATUS_KDC_UNABLE_TO_REFER:
            return _T("STATUS_KDC_UNABLE_TO_REFER");
        case STATUS_KDC_UNKNOWN_ETYPE:
            return _T("STATUS_KDC_UNKNOWN_ETYPE");
        case STATUS_SHUTDOWN_IN_PROGRESS:
            return _T("STATUS_SHUTDOWN_IN_PROGRESS");
        case STATUS_SERVER_SHUTDOWN_IN_PROGRESS:
            return _T("STATUS_SERVER_SHUTDOWN_IN_PROGRESS");
        case STATUS_NOT_SUPPORTED_ON_SBS:
            return _T("STATUS_NOT_SUPPORTED_ON_SBS");
        case STATUS_WMI_GUID_DISCONNECTED:
            return _T("STATUS_WMI_GUID_DISCONNECTED");
        case STATUS_WMI_ALREADY_DISABLED:
            return _T("STATUS_WMI_ALREADY_DISABLED");
        case STATUS_WMI_ALREADY_ENABLED:
            return _T("STATUS_WMI_ALREADY_ENABLED");
        case STATUS_MFT_TOO_FRAGMENTED:
            return _T("STATUS_MFT_TOO_FRAGMENTED");
        case STATUS_COPY_PROTECTION_FAILURE:
            return _T("STATUS_COPY_PROTECTION_FAILURE");
        case STATUS_CSS_AUTHENTICATION_FAILURE:
            return _T("STATUS_CSS_AUTHENTICATION_FAILURE");
        case STATUS_CSS_KEY_NOT_PRESENT:
            return _T("STATUS_CSS_KEY_NOT_PRESENT");
        case STATUS_CSS_KEY_NOT_ESTABLISHED:
            return _T("STATUS_CSS_KEY_NOT_ESTABLISHED");
        case STATUS_CSS_SCRAMBLED_SECTOR:
            return _T("STATUS_CSS_SCRAMBLED_SECTOR");
        case STATUS_CSS_REGION_MISMATCH:
            return _T("STATUS_CSS_REGION_MISMATCH");
        case STATUS_CSS_RESETS_EXHAUSTED:
            return _T("STATUS_CSS_RESETS_EXHAUSTED");
        case STATUS_PKINIT_FAILURE:
            return _T("STATUS_PKINIT_FAILURE");
        case STATUS_SMARTCARD_SUBSYSTEM_FAILURE:
            return _T("STATUS_SMARTCARD_SUBSYSTEM_FAILURE");
        case STATUS_NO_KERB_KEY:
            return _T("STATUS_NO_KERB_KEY");
        case STATUS_HOST_DOWN:
            return _T("STATUS_HOST_DOWN");
        case STATUS_UNSUPPORTED_PREAUTH:
            return _T("STATUS_UNSUPPORTED_PREAUTH");
        case STATUS_EFS_ALG_BLOB_TOO_BIG:
            return _T("STATUS_EFS_ALG_BLOB_TOO_BIG");
        case STATUS_PORT_NOT_SET:
            return _T("STATUS_PORT_NOT_SET");
        case STATUS_DEBUGGER_INACTIVE:
            return _T("STATUS_DEBUGGER_INACTIVE");
        case STATUS_DS_VERSION_CHECK_FAILURE:
            return _T("STATUS_DS_VERSION_CHECK_FAILURE");
        case STATUS_AUDITING_DISABLED:
            return _T("STATUS_AUDITING_DISABLED");
        case STATUS_PRENT4_MACHINE_ACCOUNT:
            return _T("STATUS_PRENT4_MACHINE_ACCOUNT");
        case STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER:
            return _T("STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER");
        case STATUS_INVALID_IMAGE_WIN_32:
            return _T("STATUS_INVALID_IMAGE_WIN_32");
        case STATUS_INVALID_IMAGE_WIN_64:
            return _T("STATUS_INVALID_IMAGE_WIN_64");
        case STATUS_BAD_BINDINGS:
            return _T("STATUS_BAD_BINDINGS");
        case STATUS_NETWORK_SESSION_EXPIRED:
            return _T("STATUS_NETWORK_SESSION_EXPIRED");
        case STATUS_APPHELP_BLOCK:
            return _T("STATUS_APPHELP_BLOCK");
        case STATUS_ALL_SIDS_FILTERED:
            return _T("STATUS_ALL_SIDS_FILTERED");
        case STATUS_NOT_SAFE_MODE_DRIVER:
            return _T("STATUS_NOT_SAFE_MODE_DRIVER");
        case STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT:
            return _T("STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT");
        case STATUS_ACCESS_DISABLED_BY_POLICY_PATH:
            return _T("STATUS_ACCESS_DISABLED_BY_POLICY_PATH");
        case STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER:
            return _T("STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER");
        case STATUS_ACCESS_DISABLED_BY_POLICY_OTHER:
            return _T("STATUS_ACCESS_DISABLED_BY_POLICY_OTHER");
        case STATUS_FAILED_DRIVER_ENTRY:
            return _T("STATUS_FAILED_DRIVER_ENTRY");
        case STATUS_DEVICE_ENUMERATION_ERROR:
            return _T("STATUS_DEVICE_ENUMERATION_ERROR");
        case STATUS_MOUNT_POINT_NOT_RESOLVED:
            return _T("STATUS_MOUNT_POINT_NOT_RESOLVED");
        case STATUS_INVALID_DEVICE_OBJECT_PARAMETER:
            return _T("STATUS_INVALID_DEVICE_OBJECT_PARAMETER");
        case STATUS_MCA_OCCURED:
            return _T("STATUS_MCA_OCCURED");
        case STATUS_DRIVER_BLOCKED_CRITICAL:
            return _T("STATUS_DRIVER_BLOCKED_CRITICAL");
        case STATUS_DRIVER_BLOCKED:
            return _T("STATUS_DRIVER_BLOCKED");
        case STATUS_DRIVER_DATABASE_ERROR:
            return _T("STATUS_DRIVER_DATABASE_ERROR");
        case STATUS_SYSTEM_HIVE_TOO_LARGE:
            return _T("STATUS_SYSTEM_HIVE_TOO_LARGE");
        case STATUS_INVALID_IMPORT_OF_NON_DLL:
            return _T("STATUS_INVALID_IMPORT_OF_NON_DLL");
        case STATUS_SMARTCARD_WRONG_PIN:
            return _T("STATUS_SMARTCARD_WRONG_PIN");
        case STATUS_SMARTCARD_CARD_BLOCKED:
            return _T("STATUS_SMARTCARD_CARD_BLOCKED");
        case STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED:
            return _T("STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED");
        case STATUS_SMARTCARD_NO_CARD:
            return _T("STATUS_SMARTCARD_NO_CARD");
        case STATUS_SMARTCARD_NO_KEY_CONTAINER:
            return _T("STATUS_SMARTCARD_NO_KEY_CONTAINER");
        case STATUS_SMARTCARD_NO_CERTIFICATE:
            return _T("STATUS_SMARTCARD_NO_CERTIFICATE");
        case STATUS_SMARTCARD_NO_KEYSET:
            return _T("STATUS_SMARTCARD_NO_KEYSET");
        case STATUS_SMARTCARD_IO_ERROR:
            return _T("STATUS_SMARTCARD_IO_ERROR");
        case STATUS_DOWNGRADE_DETECTED:
            return _T("STATUS_DOWNGRADE_DETECTED");
        case STATUS_SMARTCARD_CERT_REVOKED:
            return _T("STATUS_SMARTCARD_CERT_REVOKED");
        case STATUS_ISSUING_CA_UNTRUSTED:
            return _T("STATUS_ISSUING_CA_UNTRUSTED");
        case STATUS_REVOCATION_OFFLINE_C:
            return _T("STATUS_REVOCATION_OFFLINE_C");
        case STATUS_PKINIT_CLIENT_FAILURE:
            return _T("STATUS_PKINIT_CLIENT_FAILURE");
        case STATUS_SMARTCARD_CERT_EXPIRED:
            return _T("STATUS_SMARTCARD_CERT_EXPIRED");
        case STATUS_DRIVER_FAILED_PRIOR_UNLOAD:
            return _T("STATUS_DRIVER_FAILED_PRIOR_UNLOAD");
        case STATUS_SMARTCARD_SILENT_CONTEXT:
            return _T("STATUS_SMARTCARD_SILENT_CONTEXT");
        case STATUS_PER_USER_TRUST_QUOTA_EXCEEDED:
            return _T("STATUS_PER_USER_TRUST_QUOTA_EXCEEDED");
        case STATUS_ALL_USER_TRUST_QUOTA_EXCEEDED:
            return _T("STATUS_ALL_USER_TRUST_QUOTA_EXCEEDED");
        case STATUS_USER_DELETE_TRUST_QUOTA_EXCEEDED:
            return _T("STATUS_USER_DELETE_TRUST_QUOTA_EXCEEDED");
        case STATUS_DS_NAME_NOT_UNIQUE:
            return _T("STATUS_DS_NAME_NOT_UNIQUE");
        case STATUS_DS_DUPLICATE_ID_FOUND:
            return _T("STATUS_DS_DUPLICATE_ID_FOUND");
        case STATUS_DS_GROUP_CONVERSION_ERROR:
            return _T("STATUS_DS_GROUP_CONVERSION_ERROR");
        case STATUS_VOLSNAP_PREPARE_HIBERNATE:
            return _T("STATUS_VOLSNAP_PREPARE_HIBERNATE");
        case STATUS_USER2USER_REQUIRED:
            return _T("STATUS_USER2USER_REQUIRED");
        case STATUS_STACK_BUFFER_OVERRUN:
            return _T("STATUS_STACK_BUFFER_OVERRUN");
        case STATUS_NO_S4U_PROT_SUPPORT:
            return _T("STATUS_NO_S4U_PROT_SUPPORT");
        case STATUS_CROSSREALM_DELEGATION_FAILURE:
            return _T("STATUS_CROSSREALM_DELEGATION_FAILURE");
        case STATUS_REVOCATION_OFFLINE_KDC:
            return _T("STATUS_REVOCATION_OFFLINE_KDC");
        case STATUS_ISSUING_CA_UNTRUSTED_KDC:
            return _T("STATUS_ISSUING_CA_UNTRUSTED_KDC");
        case STATUS_KDC_CERT_EXPIRED:
            return _T("STATUS_KDC_CERT_EXPIRED");
        case STATUS_KDC_CERT_REVOKED:
            return _T("STATUS_KDC_CERT_REVOKED");
        case STATUS_PARAMETER_QUOTA_EXCEEDED:
            return _T("STATUS_PARAMETER_QUOTA_EXCEEDED");
        case STATUS_HIBERNATION_FAILURE:
            return _T("STATUS_HIBERNATION_FAILURE");
        case STATUS_DELAY_LOAD_FAILED:
            return _T("STATUS_DELAY_LOAD_FAILED");
        case STATUS_AUTHENTICATION_FIREWALL_FAILED:
            return _T("STATUS_AUTHENTICATION_FIREWALL_FAILED");
        case STATUS_VDM_DISALLOWED:
            return _T("STATUS_VDM_DISALLOWED");
        case STATUS_HUNG_DISPLAY_DRIVER_THREAD:
            return _T("STATUS_HUNG_DISPLAY_DRIVER_THREAD");
        case STATUS_WOW_ASSERTION:
            return _T("STATUS_WOW_ASSERTION");
        case DBG_NO_STATE_CHANGE:
            return _T("DBG_NO_STATE_CHANGE");
        case DBG_APP_NOT_IDLE:
            return _T("DBG_APP_NOT_IDLE");
        case RPC_NT_INVALID_STRING_BINDING:
            return _T("RPC_NT_INVALID_STRING_BINDING");
        case RPC_NT_WRONG_KIND_OF_BINDING:
            return _T("RPC_NT_WRONG_KIND_OF_BINDING");
        case RPC_NT_INVALID_BINDING:
            return _T("RPC_NT_INVALID_BINDING");
        case RPC_NT_PROTSEQ_NOT_SUPPORTED:
            return _T("RPC_NT_PROTSEQ_NOT_SUPPORTED");
        case RPC_NT_INVALID_RPC_PROTSEQ:
            return _T("RPC_NT_INVALID_RPC_PROTSEQ");
        case RPC_NT_INVALID_STRING_UUID:
            return _T("RPC_NT_INVALID_STRING_UUID");
        case RPC_NT_INVALID_ENDPOINT_FORMAT:
            return _T("RPC_NT_INVALID_ENDPOINT_FORMAT");
        case RPC_NT_INVALID_NET_ADDR:
            return _T("RPC_NT_INVALID_NET_ADDR");
        case RPC_NT_NO_ENDPOINT_FOUND:
            return _T("RPC_NT_NO_ENDPOINT_FOUND");
        case RPC_NT_INVALID_TIMEOUT:
            return _T("RPC_NT_INVALID_TIMEOUT");
        case RPC_NT_OBJECT_NOT_FOUND:
            return _T("RPC_NT_OBJECT_NOT_FOUND");
        case RPC_NT_ALREADY_REGISTERED:
            return _T("RPC_NT_ALREADY_REGISTERED");
        case RPC_NT_TYPE_ALREADY_REGISTERED:
            return _T("RPC_NT_TYPE_ALREADY_REGISTERED");
        case RPC_NT_ALREADY_LISTENING:
            return _T("RPC_NT_ALREADY_LISTENING");
        case RPC_NT_NO_PROTSEQS_REGISTERED:
            return _T("RPC_NT_NO_PROTSEQS_REGISTERED");
        case RPC_NT_NOT_LISTENING:
            return _T("RPC_NT_NOT_LISTENING");
        case RPC_NT_UNKNOWN_MGR_TYPE:
            return _T("RPC_NT_UNKNOWN_MGR_TYPE");
        case RPC_NT_UNKNOWN_IF:
            return _T("RPC_NT_UNKNOWN_IF");
        case RPC_NT_NO_BINDINGS:
            return _T("RPC_NT_NO_BINDINGS");
        case RPC_NT_NO_PROTSEQS:
            return _T("RPC_NT_NO_PROTSEQS");
        case RPC_NT_CANT_CREATE_ENDPOINT:
            return _T("RPC_NT_CANT_CREATE_ENDPOINT");
        case RPC_NT_OUT_OF_RESOURCES:
            return _T("RPC_NT_OUT_OF_RESOURCES");
        case RPC_NT_SERVER_UNAVAILABLE:
            return _T("RPC_NT_SERVER_UNAVAILABLE");
        case RPC_NT_SERVER_TOO_BUSY:
            return _T("RPC_NT_SERVER_TOO_BUSY");
        case RPC_NT_INVALID_NETWORK_OPTIONS:
            return _T("RPC_NT_INVALID_NETWORK_OPTIONS");
        case RPC_NT_NO_CALL_ACTIVE:
            return _T("RPC_NT_NO_CALL_ACTIVE");
        case RPC_NT_CALL_FAILED:
            return _T("RPC_NT_CALL_FAILED");
        case RPC_NT_CALL_FAILED_DNE:
            return _T("RPC_NT_CALL_FAILED_DNE");
        case RPC_NT_PROTOCOL_ERROR:
            return _T("RPC_NT_PROTOCOL_ERROR");
        case RPC_NT_UNSUPPORTED_TRANS_SYN:
            return _T("RPC_NT_UNSUPPORTED_TRANS_SYN");
        case RPC_NT_UNSUPPORTED_TYPE:
            return _T("RPC_NT_UNSUPPORTED_TYPE");
        case RPC_NT_INVALID_TAG:
            return _T("RPC_NT_INVALID_TAG");
        case RPC_NT_INVALID_BOUND:
            return _T("RPC_NT_INVALID_BOUND");
        case RPC_NT_NO_ENTRY_NAME:
            return _T("RPC_NT_NO_ENTRY_NAME");
        case RPC_NT_INVALID_NAME_SYNTAX:
            return _T("RPC_NT_INVALID_NAME_SYNTAX");
        case RPC_NT_UNSUPPORTED_NAME_SYNTAX:
            return _T("RPC_NT_UNSUPPORTED_NAME_SYNTAX");
        case RPC_NT_UUID_NO_ADDRESS:
            return _T("RPC_NT_UUID_NO_ADDRESS");
        case RPC_NT_DUPLICATE_ENDPOINT:
            return _T("RPC_NT_DUPLICATE_ENDPOINT");
        case RPC_NT_UNKNOWN_AUTHN_TYPE:
            return _T("RPC_NT_UNKNOWN_AUTHN_TYPE");
        case RPC_NT_MAX_CALLS_TOO_SMALL:
            return _T("RPC_NT_MAX_CALLS_TOO_SMALL");
        case RPC_NT_STRING_TOO_LONG:
            return _T("RPC_NT_STRING_TOO_LONG");
        case RPC_NT_PROTSEQ_NOT_FOUND:
            return _T("RPC_NT_PROTSEQ_NOT_FOUND");
        case RPC_NT_PROCNUM_OUT_OF_RANGE:
            return _T("RPC_NT_PROCNUM_OUT_OF_RANGE");
        case RPC_NT_BINDING_HAS_NO_AUTH:
            return _T("RPC_NT_BINDING_HAS_NO_AUTH");
        case RPC_NT_UNKNOWN_AUTHN_SERVICE:
            return _T("RPC_NT_UNKNOWN_AUTHN_SERVICE");
        case RPC_NT_UNKNOWN_AUTHN_LEVEL:
            return _T("RPC_NT_UNKNOWN_AUTHN_LEVEL");
        case RPC_NT_INVALID_AUTH_IDENTITY:
            return _T("RPC_NT_INVALID_AUTH_IDENTITY");
        case RPC_NT_UNKNOWN_AUTHZ_SERVICE:
            return _T("RPC_NT_UNKNOWN_AUTHZ_SERVICE");
        case EPT_NT_INVALID_ENTRY:
            return _T("EPT_NT_INVALID_ENTRY");
        case EPT_NT_CANT_PERFORM_OP:
            return _T("EPT_NT_CANT_PERFORM_OP");
        case EPT_NT_NOT_REGISTERED:
            return _T("EPT_NT_NOT_REGISTERED");
        case RPC_NT_NOTHING_TO_EXPORT:
            return _T("RPC_NT_NOTHING_TO_EXPORT");
        case RPC_NT_INCOMPLETE_NAME:
            return _T("RPC_NT_INCOMPLETE_NAME");
        case RPC_NT_INVALID_VERS_OPTION:
            return _T("RPC_NT_INVALID_VERS_OPTION");
        case RPC_NT_NO_MORE_MEMBERS:
            return _T("RPC_NT_NO_MORE_MEMBERS");
        case RPC_NT_NOT_ALL_OBJS_UNEXPORTED:
            return _T("RPC_NT_NOT_ALL_OBJS_UNEXPORTED");
        case RPC_NT_INTERFACE_NOT_FOUND:
            return _T("RPC_NT_INTERFACE_NOT_FOUND");
        case RPC_NT_ENTRY_ALREADY_EXISTS:
            return _T("RPC_NT_ENTRY_ALREADY_EXISTS");
        case RPC_NT_ENTRY_NOT_FOUND:
            return _T("RPC_NT_ENTRY_NOT_FOUND");
        case RPC_NT_NAME_SERVICE_UNAVAILABLE:
            return _T("RPC_NT_NAME_SERVICE_UNAVAILABLE");
        case RPC_NT_INVALID_NAF_ID:
            return _T("RPC_NT_INVALID_NAF_ID");
        case RPC_NT_CANNOT_SUPPORT:
            return _T("RPC_NT_CANNOT_SUPPORT");
        case RPC_NT_NO_CONTEXT_AVAILABLE:
            return _T("RPC_NT_NO_CONTEXT_AVAILABLE");
        case RPC_NT_INTERNAL_ERROR:
            return _T("RPC_NT_INTERNAL_ERROR");
        case RPC_NT_ZERO_DIVIDE:
            return _T("RPC_NT_ZERO_DIVIDE");
        case RPC_NT_ADDRESS_ERROR:
            return _T("RPC_NT_ADDRESS_ERROR");
        case RPC_NT_FP_DIV_ZERO:
            return _T("RPC_NT_FP_DIV_ZERO");
        case RPC_NT_FP_UNDERFLOW:
            return _T("RPC_NT_FP_UNDERFLOW");
        case RPC_NT_FP_OVERFLOW:
            return _T("RPC_NT_FP_OVERFLOW");
        case RPC_NT_CALL_IN_PROGRESS:
            return _T("RPC_NT_CALL_IN_PROGRESS");
        case RPC_NT_NO_MORE_BINDINGS:
            return _T("RPC_NT_NO_MORE_BINDINGS");
        case RPC_NT_GROUP_MEMBER_NOT_FOUND:
            return _T("RPC_NT_GROUP_MEMBER_NOT_FOUND");
        case EPT_NT_CANT_CREATE:
            return _T("EPT_NT_CANT_CREATE");
        case RPC_NT_INVALID_OBJECT:
            return _T("RPC_NT_INVALID_OBJECT");
        case RPC_NT_NO_INTERFACES:
            return _T("RPC_NT_NO_INTERFACES");
        case RPC_NT_CALL_CANCELLED:
            return _T("RPC_NT_CALL_CANCELLED");
        case RPC_NT_BINDING_INCOMPLETE:
            return _T("RPC_NT_BINDING_INCOMPLETE");
        case RPC_NT_COMM_FAILURE:
            return _T("RPC_NT_COMM_FAILURE");
        case RPC_NT_UNSUPPORTED_AUTHN_LEVEL:
            return _T("RPC_NT_UNSUPPORTED_AUTHN_LEVEL");
        case RPC_NT_NO_PRINC_NAME:
            return _T("RPC_NT_NO_PRINC_NAME");
        case RPC_NT_NOT_RPC_ERROR:
            return _T("RPC_NT_NOT_RPC_ERROR");
        case RPC_NT_SEC_PKG_ERROR:
            return _T("RPC_NT_SEC_PKG_ERROR");
        case RPC_NT_NOT_CANCELLED:
            return _T("RPC_NT_NOT_CANCELLED");
        case RPC_NT_INVALID_ASYNC_HANDLE:
            return _T("RPC_NT_INVALID_ASYNC_HANDLE");
        case RPC_NT_INVALID_ASYNC_CALL:
            return _T("RPC_NT_INVALID_ASYNC_CALL");
        case RPC_NT_NO_MORE_ENTRIES:
            return _T("RPC_NT_NO_MORE_ENTRIES");
        case RPC_NT_SS_CHAR_TRANS_OPEN_FAIL:
            return _T("RPC_NT_SS_CHAR_TRANS_OPEN_FAIL");
        case RPC_NT_SS_CHAR_TRANS_SHORT_FILE:
            return _T("RPC_NT_SS_CHAR_TRANS_SHORT_FILE");
        case RPC_NT_SS_IN_NULL_CONTEXT:
            return _T("RPC_NT_SS_IN_NULL_CONTEXT");
        case RPC_NT_SS_CONTEXT_MISMATCH:
            return _T("RPC_NT_SS_CONTEXT_MISMATCH");
        case RPC_NT_SS_CONTEXT_DAMAGED:
            return _T("RPC_NT_SS_CONTEXT_DAMAGED");
        case RPC_NT_SS_HANDLES_MISMATCH:
            return _T("RPC_NT_SS_HANDLES_MISMATCH");
        case RPC_NT_SS_CANNOT_GET_CALL_HANDLE:
            return _T("RPC_NT_SS_CANNOT_GET_CALL_HANDLE");
        case RPC_NT_NULL_REF_POINTER:
            return _T("RPC_NT_NULL_REF_POINTER");
        case RPC_NT_ENUM_VALUE_OUT_OF_RANGE:
            return _T("RPC_NT_ENUM_VALUE_OUT_OF_RANGE");
        case RPC_NT_BYTE_COUNT_TOO_SMALL:
            return _T("RPC_NT_BYTE_COUNT_TOO_SMALL");
        case RPC_NT_BAD_STUB_DATA:
            return _T("RPC_NT_BAD_STUB_DATA");
        case RPC_NT_INVALID_ES_ACTION:
            return _T("RPC_NT_INVALID_ES_ACTION");
        case RPC_NT_WRONG_ES_VERSION:
            return _T("RPC_NT_WRONG_ES_VERSION");
        case RPC_NT_WRONG_STUB_VERSION:
            return _T("RPC_NT_WRONG_STUB_VERSION");
        case RPC_NT_INVALID_PIPE_OBJECT:
            return _T("RPC_NT_INVALID_PIPE_OBJECT");
        case RPC_NT_INVALID_PIPE_OPERATION:
            return _T("RPC_NT_INVALID_PIPE_OPERATION");
        case RPC_NT_WRONG_PIPE_VERSION:
            return _T("RPC_NT_WRONG_PIPE_VERSION");
        case RPC_NT_PIPE_CLOSED:
            return _T("RPC_NT_PIPE_CLOSED");
        case RPC_NT_PIPE_DISCIPLINE_ERROR:
            return _T("RPC_NT_PIPE_DISCIPLINE_ERROR");
        case RPC_NT_PIPE_EMPTY:
            return _T("RPC_NT_PIPE_EMPTY");
        case STATUS_PNP_BAD_MPS_TABLE:
            return _T("STATUS_PNP_BAD_MPS_TABLE");
        case STATUS_PNP_TRANSLATION_FAILED:
            return _T("STATUS_PNP_TRANSLATION_FAILED");
        case STATUS_PNP_IRQ_TRANSLATION_FAILED:
            return _T("STATUS_PNP_IRQ_TRANSLATION_FAILED");
        case STATUS_PNP_INVALID_ID:
            return _T("STATUS_PNP_INVALID_ID");
        case STATUS_CTX_WINSTATION_NAME_INVALID:
            return _T("STATUS_CTX_WINSTATION_NAME_INVALID");
        case STATUS_CTX_INVALID_PD:
            return _T("STATUS_CTX_INVALID_PD");
        case STATUS_CTX_PD_NOT_FOUND:
            return _T("STATUS_CTX_PD_NOT_FOUND");
        case STATUS_CTX_CLOSE_PENDING:
            return _T("STATUS_CTX_CLOSE_PENDING");
        case STATUS_CTX_NO_OUTBUF:
            return _T("STATUS_CTX_NO_OUTBUF");
        case STATUS_CTX_MODEM_INF_NOT_FOUND:
            return _T("STATUS_CTX_MODEM_INF_NOT_FOUND");
        case STATUS_CTX_INVALID_MODEMNAME:
            return _T("STATUS_CTX_INVALID_MODEMNAME");
        case STATUS_CTX_RESPONSE_ERROR:
            return _T("STATUS_CTX_RESPONSE_ERROR");
        case STATUS_CTX_MODEM_RESPONSE_TIMEOUT:
            return _T("STATUS_CTX_MODEM_RESPONSE_TIMEOUT");
        case STATUS_CTX_MODEM_RESPONSE_NO_CARRIER:
            return _T("STATUS_CTX_MODEM_RESPONSE_NO_CARRIER");
        case STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE:
            return _T("STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE");
        case STATUS_CTX_MODEM_RESPONSE_BUSY:
            return _T("STATUS_CTX_MODEM_RESPONSE_BUSY");
        case STATUS_CTX_MODEM_RESPONSE_VOICE:
            return _T("STATUS_CTX_MODEM_RESPONSE_VOICE");
        case STATUS_CTX_TD_ERROR:
            return _T("STATUS_CTX_TD_ERROR");
        case STATUS_CTX_LICENSE_CLIENT_INVALID:
            return _T("STATUS_CTX_LICENSE_CLIENT_INVALID");
        case STATUS_CTX_LICENSE_NOT_AVAILABLE:
            return _T("STATUS_CTX_LICENSE_NOT_AVAILABLE");
        case STATUS_CTX_LICENSE_EXPIRED:
            return _T("STATUS_CTX_LICENSE_EXPIRED");
        case STATUS_CTX_WINSTATION_NOT_FOUND:
            return _T("STATUS_CTX_WINSTATION_NOT_FOUND");
        case STATUS_CTX_WINSTATION_NAME_COLLISION:
            return _T("STATUS_CTX_WINSTATION_NAME_COLLISION");
        case STATUS_CTX_WINSTATION_BUSY:
            return _T("STATUS_CTX_WINSTATION_BUSY");
        case STATUS_CTX_BAD_VIDEO_MODE:
            return _T("STATUS_CTX_BAD_VIDEO_MODE");
        case STATUS_CTX_GRAPHICS_INVALID:
            return _T("STATUS_CTX_GRAPHICS_INVALID");
        case STATUS_CTX_NOT_CONSOLE:
            return _T("STATUS_CTX_NOT_CONSOLE");
        case STATUS_CTX_CLIENT_QUERY_TIMEOUT:
            return _T("STATUS_CTX_CLIENT_QUERY_TIMEOUT");
        case STATUS_CTX_CONSOLE_DISCONNECT:
            return _T("STATUS_CTX_CONSOLE_DISCONNECT");
        case STATUS_CTX_CONSOLE_CONNECT:
            return _T("STATUS_CTX_CONSOLE_CONNECT");
        case STATUS_CTX_SHADOW_DENIED:
            return _T("STATUS_CTX_SHADOW_DENIED");
        case STATUS_CTX_WINSTATION_ACCESS_DENIED:
            return _T("STATUS_CTX_WINSTATION_ACCESS_DENIED");
        case STATUS_CTX_INVALID_WD:
            return _T("STATUS_CTX_INVALID_WD");
        case STATUS_CTX_WD_NOT_FOUND:
            return _T("STATUS_CTX_WD_NOT_FOUND");
        case STATUS_CTX_SHADOW_INVALID:
            return _T("STATUS_CTX_SHADOW_INVALID");
        case STATUS_CTX_SHADOW_DISABLED:
            return _T("STATUS_CTX_SHADOW_DISABLED");
        case STATUS_RDP_PROTOCOL_ERROR:
            return _T("STATUS_RDP_PROTOCOL_ERROR");
        case STATUS_CTX_CLIENT_LICENSE_NOT_SET:
            return _T("STATUS_CTX_CLIENT_LICENSE_NOT_SET");
        case STATUS_CTX_CLIENT_LICENSE_IN_USE:
            return _T("STATUS_CTX_CLIENT_LICENSE_IN_USE");
        case STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE:
            return _T("STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE");
        case STATUS_CTX_SHADOW_NOT_RUNNING:
            return _T("STATUS_CTX_SHADOW_NOT_RUNNING");
        case STATUS_CLUSTER_INVALID_NODE:
            return _T("STATUS_CLUSTER_INVALID_NODE");
        case STATUS_CLUSTER_NODE_EXISTS:
            return _T("STATUS_CLUSTER_NODE_EXISTS");
        case STATUS_CLUSTER_JOIN_IN_PROGRESS:
            return _T("STATUS_CLUSTER_JOIN_IN_PROGRESS");
        case STATUS_CLUSTER_NODE_NOT_FOUND:
            return _T("STATUS_CLUSTER_NODE_NOT_FOUND");
        case STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND:
            return _T("STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND");
        case STATUS_CLUSTER_NETWORK_EXISTS:
            return _T("STATUS_CLUSTER_NETWORK_EXISTS");
        case STATUS_CLUSTER_NETWORK_NOT_FOUND:
            return _T("STATUS_CLUSTER_NETWORK_NOT_FOUND");
        case STATUS_CLUSTER_NETINTERFACE_EXISTS:
            return _T("STATUS_CLUSTER_NETINTERFACE_EXISTS");
        case STATUS_CLUSTER_NETINTERFACE_NOT_FOUND:
            return _T("STATUS_CLUSTER_NETINTERFACE_NOT_FOUND");
        case STATUS_CLUSTER_INVALID_REQUEST:
            return _T("STATUS_CLUSTER_INVALID_REQUEST");
        case STATUS_CLUSTER_INVALID_NETWORK_PROVIDER:
            return _T("STATUS_CLUSTER_INVALID_NETWORK_PROVIDER");
        case STATUS_CLUSTER_NODE_DOWN:
            return _T("STATUS_CLUSTER_NODE_DOWN");
        case STATUS_CLUSTER_NODE_UNREACHABLE:
            return _T("STATUS_CLUSTER_NODE_UNREACHABLE");
        case STATUS_CLUSTER_NODE_NOT_MEMBER:
            return _T("STATUS_CLUSTER_NODE_NOT_MEMBER");
        case STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS:
            return _T("STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS");
        case STATUS_CLUSTER_INVALID_NETWORK:
            return _T("STATUS_CLUSTER_INVALID_NETWORK");
        case STATUS_CLUSTER_NO_NET_ADAPTERS:
            return _T("STATUS_CLUSTER_NO_NET_ADAPTERS");
        case STATUS_CLUSTER_NODE_UP:
            return _T("STATUS_CLUSTER_NODE_UP");
        case STATUS_CLUSTER_NODE_PAUSED:
            return _T("STATUS_CLUSTER_NODE_PAUSED");
        case STATUS_CLUSTER_NODE_NOT_PAUSED:
            return _T("STATUS_CLUSTER_NODE_NOT_PAUSED");
        case STATUS_CLUSTER_NO_SECURITY_CONTEXT:
            return _T("STATUS_CLUSTER_NO_SECURITY_CONTEXT");
        case STATUS_CLUSTER_NETWORK_NOT_INTERNAL:
            return _T("STATUS_CLUSTER_NETWORK_NOT_INTERNAL");
        case STATUS_CLUSTER_POISONED:
            return _T("STATUS_CLUSTER_POISONED");
        case STATUS_ACPI_INVALID_OPCODE:
            return _T("STATUS_ACPI_INVALID_OPCODE");
        case STATUS_ACPI_STACK_OVERFLOW:
            return _T("STATUS_ACPI_STACK_OVERFLOW");
        case STATUS_ACPI_ASSERT_FAILED:
            return _T("STATUS_ACPI_ASSERT_FAILED");
        case STATUS_ACPI_INVALID_INDEX:
            return _T("STATUS_ACPI_INVALID_INDEX");
        case STATUS_ACPI_INVALID_ARGUMENT:
            return _T("STATUS_ACPI_INVALID_ARGUMENT");
        case STATUS_ACPI_FATAL:
            return _T("STATUS_ACPI_FATAL");
        case STATUS_ACPI_INVALID_SUPERNAME:
            return _T("STATUS_ACPI_INVALID_SUPERNAME");
        case STATUS_ACPI_INVALID_ARGTYPE:
            return _T("STATUS_ACPI_INVALID_ARGTYPE");
        case STATUS_ACPI_INVALID_OBJTYPE:
            return _T("STATUS_ACPI_INVALID_OBJTYPE");
        case STATUS_ACPI_INVALID_TARGETTYPE:
            return _T("STATUS_ACPI_INVALID_TARGETTYPE");
        case STATUS_ACPI_INCORRECT_ARGUMENT_COUNT:
            return _T("STATUS_ACPI_INCORRECT_ARGUMENT_COUNT");
        case STATUS_ACPI_ADDRESS_NOT_MAPPED:
            return _T("STATUS_ACPI_ADDRESS_NOT_MAPPED");
        case STATUS_ACPI_INVALID_EVENTTYPE:
            return _T("STATUS_ACPI_INVALID_EVENTTYPE");
        case STATUS_ACPI_HANDLER_COLLISION:
            return _T("STATUS_ACPI_HANDLER_COLLISION");
        case STATUS_ACPI_INVALID_DATA:
            return _T("STATUS_ACPI_INVALID_DATA");
        case STATUS_ACPI_INVALID_REGION:
            return _T("STATUS_ACPI_INVALID_REGION");
        case STATUS_ACPI_INVALID_ACCESS_SIZE:
            return _T("STATUS_ACPI_INVALID_ACCESS_SIZE");
        case STATUS_ACPI_ACQUIRE_GLOBAL_LOCK:
            return _T("STATUS_ACPI_ACQUIRE_GLOBAL_LOCK");
        case STATUS_ACPI_ALREADY_INITIALIZED:
            return _T("STATUS_ACPI_ALREADY_INITIALIZED");
        case STATUS_ACPI_NOT_INITIALIZED:
            return _T("STATUS_ACPI_NOT_INITIALIZED");
        case STATUS_ACPI_INVALID_MUTEX_LEVEL:
            return _T("STATUS_ACPI_INVALID_MUTEX_LEVEL");
        case STATUS_ACPI_MUTEX_NOT_OWNED:
            return _T("STATUS_ACPI_MUTEX_NOT_OWNED");
        case STATUS_ACPI_MUTEX_NOT_OWNER:
            return _T("STATUS_ACPI_MUTEX_NOT_OWNER");
        case STATUS_ACPI_RS_ACCESS:
            return _T("STATUS_ACPI_RS_ACCESS");
        case STATUS_ACPI_INVALID_TABLE:
            return _T("STATUS_ACPI_INVALID_TABLE");
        case STATUS_ACPI_REG_HANDLER_FAILED:
            return _T("STATUS_ACPI_REG_HANDLER_FAILED");
        case STATUS_ACPI_POWER_REQUEST_FAILED:
            return _T("STATUS_ACPI_POWER_REQUEST_FAILED");
        case STATUS_SXS_SECTION_NOT_FOUND:
            return _T("STATUS_SXS_SECTION_NOT_FOUND");
        case STATUS_SXS_CANT_GEN_ACTCTX:
            return _T("STATUS_SXS_CANT_GEN_ACTCTX");
        case STATUS_SXS_INVALID_ACTCTXDATA_FORMAT:
            return _T("STATUS_SXS_INVALID_ACTCTXDATA_FORMAT");
        case STATUS_SXS_ASSEMBLY_NOT_FOUND:
            return _T("STATUS_SXS_ASSEMBLY_NOT_FOUND");
        case STATUS_SXS_MANIFEST_FORMAT_ERROR:
            return _T("STATUS_SXS_MANIFEST_FORMAT_ERROR");
        case STATUS_SXS_MANIFEST_PARSE_ERROR:
            return _T("STATUS_SXS_MANIFEST_PARSE_ERROR");
        case STATUS_SXS_ACTIVATION_CONTEXT_DISABLED:
            return _T("STATUS_SXS_ACTIVATION_CONTEXT_DISABLED");
        case STATUS_SXS_KEY_NOT_FOUND:
            return _T("STATUS_SXS_KEY_NOT_FOUND");
        case STATUS_SXS_VERSION_CONFLICT:
            return _T("STATUS_SXS_VERSION_CONFLICT");
        case STATUS_SXS_WRONG_SECTION_TYPE:
            return _T("STATUS_SXS_WRONG_SECTION_TYPE");
        case STATUS_SXS_THREAD_QUERIES_DISABLED:
            return _T("STATUS_SXS_THREAD_QUERIES_DISABLED");
        case STATUS_SXS_ASSEMBLY_MISSING:
            return _T("STATUS_SXS_ASSEMBLY_MISSING");
        case STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET:
            return _T("STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET");
        case STATUS_SXS_EARLY_DEACTIVATION:
            return _T("STATUS_SXS_EARLY_DEACTIVATION");
        case STATUS_SXS_INVALID_DEACTIVATION:
            return _T("STATUS_SXS_INVALID_DEACTIVATION");
        case STATUS_SXS_MULTIPLE_DEACTIVATION:
            return _T("STATUS_SXS_MULTIPLE_DEACTIVATION");
        case STATUS_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY:
            return _T("STATUS_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY");
        case STATUS_SXS_PROCESS_TERMINATION_REQUESTED:
            return _T("STATUS_SXS_PROCESS_TERMINATION_REQUESTED");
        case STATUS_SXS_CORRUPT_ACTIVATION_STACK:
            return _T("STATUS_SXS_CORRUPT_ACTIVATION_STACK");
        default:
            return _T("NTSTATSTR_UNKNOWN_STATUS");
    }
}
