/*****************************************************************************/
/* AppendString.cpp                       Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Function that adds a (next) string to an existing substring.              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 01.06.04  1.00  Lad  The first version of AppendString.cpp                */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// Adds a new string to the existing one. The existing must have been
// allocated by new, the result must be freed using "delete", when no longer needed.
// The "szString" may be NULL.

TCHAR * AppendString(TCHAR * szString, TCHAR * szAdd, LPCTSTR szSeparator)
{
    TCHAR * szNewString = NULL;
    size_t nAddLength = _tcslen(szAdd);
    size_t nLength = 0;

    if(szString != NULL)
        nLength = _tcslen(szString);

    // Allocate the new string
    szNewString = new TCHAR[nLength + nAddLength + 4];
    *szNewString = 0;
    
    if(szString != NULL)
        _tcscpy(szNewString, szString);
    if(*szNewString != 0 && szSeparator != NULL)
        _tcscat(szNewString, szSeparator);
    _tcscat(szNewString, szAdd);
    if(szString != NULL)
        delete [] szString;

    return szNewString;
}
