/*****************************************************************************/
/* CenterWindow.cpp                       Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Function that centers a window to screen                                  */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 29.05.04  1.00  Lad  The first version of CenterWindow.cpp                */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

void CenterWindow(HWND hWnd)
{
//  HWND hParent = GetParent(hWnd);
    RECT pr;                            // Parent rect
    RECT wr;                            // Window rect

    pr.left   = 0;
    pr.top    = 0;
    pr.right  = GetSystemMetrics(SM_CXSCREEN);
    pr.bottom = GetSystemMetrics(SM_CYSCREEN);

    //
    // Don't center the window to the parent, always center
    // it to the entire screen.
    //
/*    
    if(hParent != NULL)
        GetWindowRect(hParent, &pr);
*/
    GetWindowRect(hWnd,  &wr);

    wr.left = pr.left + ((pr.right - pr.left) - (wr.right - wr.left)) / 2;
    wr.top  = pr.top  + ((pr.bottom - pr.top) - (wr.bottom - wr.top)) / 2;
    SetWindowPos(hWnd, NULL, wr.left, wr.top, 0, 0, SWP_NOSIZE | SWP_NOACTIVATE);
}


