/*****************************************************************************/
/* CompareWindowsTexts.cpp                Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 02.06.04  1.00  Lad  The first version of CompareWindowsTexts.cpp         */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

BOOL CompareWindowsTexts(HWND hDlg, UINT nID1, UINT nID2, UINT nIDMsg)
{
    HWND hWnd1 = GetDlgItem(hDlg, nID1);
    HWND hWnd2 = GetDlgItem(hDlg, nID2);
    BOOL bResult = TRUE;
    int  nLength = 0;

    if(bResult == TRUE)
    {
        if(hWnd1 == NULL || hWnd2 == NULL)
            bResult = FALSE;
    }

    if(bResult == TRUE)
    {
        nLength = GetWindowTextLength(hWnd1);
        if(nLength != GetWindowTextLength(hWnd2))
            bResult = FALSE;
        nLength++;
    }

    if(bResult == TRUE)
    {
        TCHAR * szText1 = new TCHAR[nLength];
        TCHAR * szText2 = new TCHAR[nLength];
        GetWindowText(hWnd1, szText1, nLength);
        GetWindowText(hWnd2, szText2, nLength);

        if(CompareString(LOCALE_USER_DEFAULT, 0, szText1, nLength, szText2, nLength) != CSTR_EQUAL)
            bResult = FALSE;

        ZeroMemory(szText1, nLength);
        ZeroMemory(szText2, nLength);
        delete [] szText2;
        delete [] szText1;
    }

    if(bResult == FALSE && nIDMsg != 0)
    {
        MessageBoxRc(hDlg, IDS_WARNING, nIDMsg);
        SetWindowText(hWnd1, _T(""));
        SetWindowText(hWnd2, _T(""));
        SetFocus(hWnd1);
    }
    return bResult;
}
