/*****************************************************************************/
/* CreateHDropForFile.cpp                 Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Creates a HDOP structure for a file.                                      */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of CreateHDropForFile.cpp          */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"
#include <shlobj.h>

// Creates a HDROP structure for the file.
// The caller must free it using GlobalFree.
HDROP CreateDropForFile(TCHAR * szFileName)
{
    DROPFILES * pDrop;
    TCHAR * pDropFiles;
    size_t nDropSize = sizeof(DROPFILES);
    HDROP hDrop;

    // Add the size of the file
    nDropSize += (_tcslen(szFileName) + 1) * sizeof(TCHAR);

    // Allocate space for the items
    hDrop = (HDROP)GlobalAlloc(GMEM_ZEROINIT | GMEM_MOVEABLE | GMEM_DDESHARE, nDropSize + 2);
    if(hDrop != NULL)
    {
        pDrop = (DROPFILES *)GlobalLock(hDrop);
        pDrop->pFiles = sizeof(DROPFILES);
#ifdef _UNICODE
        pDrop->fWide  = TRUE;
#endif  // _UNICODE
        pDropFiles = (TCHAR *)(pDrop + 1);

        _tcscpy(pDropFiles, szFileName);
	    GlobalUnlock(hDrop);
    }
    return hDrop;
}
