/*****************************************************************************/
/* DontDisplayAgain.cpp                   Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 07.06.04  1.00  Lad  The first version of DontDisplayAgain.cpp            */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"
#include <windowsx.h>

//-----------------------------------------------------------------------------
// Local variables

static UINT nIDDontDisplayAgain = 0;

//-----------------------------------------------------------------------------
// Message handlers

static BOOL OnInitDialog(HWND hDlg, LPARAM lParam)
{
    TCHAR szClassName[256] = _T("");
    DWORD dwStyles = 0;
    HWND hChild = GetWindow(hDlg, GW_CHILD);

    SetWindowLongPtr(hDlg, DWLP_USER, lParam);

    // Find the ID of the checkbox
    while(hChild != NULL)
    {
        // Ensure that it is really a checkbox
        GetClassName(hChild, szClassName, _tsize(szClassName));
        dwStyles = GetWindowLong(hChild, GWL_STYLE);
        if(!_tcsicmp(szClassName, _T("button")) && (dwStyles & 0x0F) == BS_AUTOCHECKBOX)
        {
            nIDDontDisplayAgain = GetWindowLong(hChild, GWL_ID);
            break;
        }

        hChild = GetWindow(hChild, GW_HWNDNEXT);
    }
    return TRUE;
}

static int OnCommand(HWND hDlg, UINT nNotify, UINT nIDCtrl)
{
    if(nNotify == BN_CLICKED && nIDCtrl != nIDDontDisplayAgain)
    {
        HWND hCheck = GetDlgItem(hDlg, nIDDontDisplayAgain);

        if(Button_GetCheck(hCheck) == BST_CHECKED)
        {
            int * piLastAnswer = (int *)GetWindowLongPtr(hDlg, DWLP_USER);

            if(piLastAnswer != NULL)
                *piLastAnswer = nIDCtrl;
        }

        EndDialog(hDlg, nIDCtrl);
        return TRUE;
    }

    return FALSE;
}

static INT_PTR CALLBACK DialogProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
    // Initializing dialog
    switch(uMsg)
    {
        case WM_INITDIALOG:
            return OnInitDialog(hDlg, lParam);

        case WM_COMMAND:
            return OnCommand(hDlg, HIWORD(wParam), LOWORD(wParam));
    }
    return FALSE;
}

//-----------------------------------------------------------------------------
// Public functions

// Shows the message box dialog with "Don't display again" text
INT_PTR DontDisplayAgainDialog(HWND hParent, UINT nIDTemplate, int * piLastAnswer)
{
    // If the answer has already been given, don't display it again
    if(piLastAnswer != NULL && *piLastAnswer != -1)
        return *piLastAnswer;

    return DialogBoxParam(g_hInst, MAKEINTRESOURCE(nIDTemplate), hParent, DialogProc, (LPARAM)piLastAnswer);
}

