/*****************************************************************************/
/* EnableDlgItems.cpp                     Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 06.07.04  1.00  Lad  The first version of EnableDlgItems.cpp              */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// Enables/disables a group of dialog items by their ID.
// The ID list must end with 0.
int EnableDlgItems(HWND hDlg, BOOL bEnable, ...)
{
    HWND hWnd;
    UINT nIDCtrl;
    va_list argList;
    int nCount = 0;

    va_start (argList, bEnable);
    while((nIDCtrl = va_arg(argList, UINT)) != 0)
    {
        // If the window has not been found, ASSERT
        hWnd = GetDlgItem(hDlg, nIDCtrl);
        assert(hWnd != NULL);

        EnableWindow(hWnd, bEnable);
        nCount++;
    }

    return nCount;
}
