/*****************************************************************************/
/* Test.cpp                               Copyright (c) Ladislav Zezula 2005 */
/*---------------------------------------------------------------------------*/
/* Description :                                                             */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 22.03.05  1.00  Lad  The first version of Test.cpp                        */
/*****************************************************************************/

#include "Utils.h"

int EnablePrivilege(LPCTSTR szPrivilegeName)
{
    TOKEN_PRIVILEGES tkp;
    HANDLE hToken = NULL;
    int nError = ERROR_SUCCESS;

    if(nError == ERROR_SUCCESS)
    {
        if(!OpenProcessToken(GetCurrentProcess(), TOKEN_ADJUST_PRIVILEGES | TOKEN_QUERY, &hToken))
            nError = GetLastError();
    }

    if(nError == ERROR_SUCCESS)
    {
        // Get the LUID for the  privilege.
        LookupPrivilegeValue(NULL, szPrivilegeName, &tkp.Privileges[0].Luid);
        tkp.PrivilegeCount = 1;  // one privilege to set
        tkp.Privileges[0].Attributes = SE_PRIVILEGE_ENABLED;

        // Get the privilege for this process.
        if(!AdjustTokenPrivileges(hToken, FALSE, &tkp, 0, (PTOKEN_PRIVILEGES)NULL, 0))
                nError = GetLastError();
    }

    if(hToken != NULL)
        CloseHandle(hToken);
    return nError;
}
