/*****************************************************************************/
/* GetDialogRect.cpp                      Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 07.08.04  1.00  Lad  The first version of GetDialogRect.cpp               */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

//-----------------------------------------------------------------------------
// Resource dialog template definition

typedef struct
{
	WORD dlgVer;
	WORD signature;
	DWORD helpID;
	DWORD exStyle;
	DWORD style;
	WORD cDlgItems;
	short x;
	short y;
	short cx;
	short cy;
} DLGTEMPLATEEX;

//-----------------------------------------------------------------------------
// Load functions

static INT_PTR WINAPI DialogProc(HWND hDlg, UINT uMsg, WPARAM, LPARAM)
{
    if(uMsg == WM_INITDIALOG)
        ShowWindow(hDlg, SW_HIDE);
    
    return FALSE;
}

//-----------------------------------------------------------------------------
// Public functions

BOOL GetDialogRect(HWND hParent, UINT nIDDlgTemplate, RECT & rect)
{
    HWND hDlg = CreateDialog(g_hInst, MAKEINTRESOURCE(nIDDlgTemplate), hParent, DialogProc);
    BOOL bResult = FALSE;

    if(hDlg != NULL)
    {
        GetWindowRect(hDlg, &rect);

        rect.right  -= rect.left;
        rect.bottom -= rect.top;
        rect.left    =
        rect.top     = 0;

        DestroyWindow(hDlg);
        bResult = TRUE;
    }

/*
	// Find the resource in the instance
    HRSRC hResource = FindResource(hInst, MAKEINTRESOURCE(nIDDlgTemplate), RT_DIALOG);
    BOOL bResult = FALSE;

	if (hResource != NULL)
	{
    	// Load the resource
    	HGLOBAL hTemplate = LoadResource(hInst, hResource);

    	if(hTemplate != NULL)
        {
            DLGTEMPLATEEX * pTemplate = (DLGTEMPLATEEX*)LockResource(hTemplate);
            DWORD dwDlgUnits = GetDialogBaseUnits();
            DWORD dwUnitsX = LOWORD(dwDlgUnits);
            DWORD dwUnitsY = HIWORD(dwDlgUnits);

            // Does not work, the result is different from dialog's
            // real size.
            if(pTemplate != NULL)
            {
                rect.left   =
                rect.top    = 0;
                rect.right  = MulDiv(pTemplate->cx, dwUnitsX, 4);
                rect.bottom = MulDiv(pTemplate->cy, dwUnitsY, 8);
                bResult = TRUE;

            	UnlockResource(hTemplate);
            }
        	FreeResource(hTemplate);
        }
    }
*/

    return bResult;
}

