/*****************************************************************************/
/* GetDomainName.cpp                      Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* A function that gets the domain name where the user is currently logged   */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of GetDomainName.cpp               */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

int GetDomainName(TCHAR * szText, LPDWORD pdwSize)
{
    SID_NAME_USE use;
    TOKEN_USER * pTokenUser = NULL;
    HANDLE hToken = NULL;
    BYTE  szBuffer[1000];
    TCHAR szAccount[48];
    DWORD dwInfoSize = 0;
    DWORD dwAccountLength = _tsize(szAccount);
    int nError = ERROR_SUCCESS;

    if(nError == ERROR_SUCCESS)
    {
        if(!OpenProcessToken(GetCurrentProcess(), TOKEN_READ, &hToken))
            nError = GetLastError();
    }

    if(nError == ERROR_SUCCESS)
    {
        pTokenUser = (TOKEN_USER *)szBuffer;
        if(!GetTokenInformation(hToken, TokenUser, pTokenUser, sizeof(szBuffer), &dwInfoSize))
            nError = GetLastError();
    }

    if(nError == ERROR_SUCCESS)
    {
        if(!LookupAccountSid(NULL, pTokenUser->User.Sid, szAccount, &dwAccountLength, szText, pdwSize, &use))
            nError = GetLastError();
    }

    if(hToken != NULL)
        CloseHandle(hToken);

    return nError;
}
