/*****************************************************************************/
/* GetErrorText.cpp                       Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 23.09.04  1.00  Lad  The first version of GetErrorText.cpp                */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// Retrieves the error text. The caller must free the text using
// delete [] szText;
LPTSTR GetErrorText(int nError)
{
    TCHAR * szErrorText;
    int nLength = 256;

    // Get the text from error message
    szErrorText = new TCHAR[nLength];
    ZeroMemory(szErrorText, nLength);
    nLength = FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM, NULL, nError, 0, szErrorText, nLength, NULL) - 1;
    
    // If the error code cannot be processed by FormatMessage,
    // use it as-is (FormatMessage could return either 0 or -1)
    if(nLength <= 0)
        nLength = _stprintf(szErrorText, _T("Error code 0x%08lX"), nError);
        
    // Remove EOLs
    if(nLength > 0 && (szErrorText[nLength] == 0x0D || szErrorText[nLength] == 0x0A))
        szErrorText[nLength--] = 0;
    if(nLength > 0 && (szErrorText[nLength] == 0x0D || szErrorText[nLength] == 0x0A))
        szErrorText[nLength--] = 0;

    return szErrorText;
}
