/*****************************************************************************/
/* GetModuleVersion.cpp                   Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Retrieves the version of a module                                         */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 04.07.04  1.00  Lad  The first version of GetModuleVersion.cpp            */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

#pragma comment(lib, "Version.lib")

int GetModuleVersion(TCHAR * szModuleName, LARGE_INTEGER * pVersion)
{
    VS_FIXEDFILEINFO * vs = NULL;
    LPVOID pVerInfo = NULL;
    TCHAR szBuffer[MAX_PATH] = _T("");
    DWORD dwHandle = 0;
    DWORD dwSize = 0;
    DWORD dwVersion = 0;
    UINT uiSize;

    // If no module name has been given, use the EXE module
    if(szModuleName == NULL)
    {
        GetModuleFileName(NULL, szBuffer, _tsize(szBuffer));
        szModuleName = szBuffer;
    }

    // Retrieve the version info
    dwSize = GetFileVersionInfoSize(szModuleName, &dwHandle);
    if(dwSize != 0)
    {
        pVerInfo = HeapAlloc(GetProcessHeap(), HEAP_ZERO_MEMORY, dwSize);
        if(GetFileVersionInfo(szModuleName, dwHandle, dwSize, pVerInfo))
        {
            VerQueryValue(pVerInfo, _T("\\"), (LPVOID *)&vs, &uiSize);
            pVersion->HighPart = vs->dwFileVersionMS;
            pVersion->LowPart  = vs->dwFileVersionLS;
        }

        if(pVerInfo != NULL)
            HeapFree(GetProcessHeap(), 0, pVerInfo);
    }
    return dwVersion;
}
