/*****************************************************************************/
/* GetWindowBorders.cpp                   Copyright (c) Ladislav Zezula 2005 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 09.01.05  1.00  Lad  The first version of GetWindowBorders.cpp            */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// Gets the widths of the window borders (non-client area)
// and stores them to the "pRect" parameter

void GetWindowBorders(HWND hWnd, LPRECT pRect)
{
    POINT pt;
    RECT rectScreen;
    RECT rectClient;

    GetWindowRect(hWnd, &rectScreen);
    GetClientRect(hWnd, &rectClient);

    // Get the left and top border
    pt.x = pt.y = 0;
    ClientToScreen(hWnd, &pt);
    pRect->left = pt.x - rectScreen.left;
    pRect->top  = pt.y - rectScreen.top;

    // Get the right and bottom border
    pt.x = rectClient.right;
    pt.y = rectClient.bottom;
    ClientToScreen(hWnd, &pt);
    pRect->right  = rectScreen.right - pt.x;
    pRect->bottom = rectScreen.bottom - pt.y;
}
