/*****************************************************************************/
/* IsCommandMessage.cpp                   Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 29.05.04  1.00  Lad  The first version of IsCommandMessage.cpp            */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// This function decodes the WM_COMMAND message. If another message, this function
// returns FALSE. If it is a WM_COMMAND, it decodes the motification code, and control ID
// (Control ID is 0 for a menu and 1 for an accelerator).
BOOL IsCommandMessage(UINT uMsg, WPARAM wParam, UINT & nNotify, UINT_PTR & nIDCtrl)
{
#ifdef WIN32
    // Non-WM_COMMAND will cause simply to return FALSE.
    if(uMsg != WM_COMMAND)
        return FALSE;

    // If message comes from a control fill the right values
    nIDCtrl = LOWORD(wParam);
    nNotify = HIWORD(wParam);

    // If the caller required a window handle, give it to him (not supported yet)
//  if(hWnd != NULL)
//      *hWnd = (HWND)lParam;
    return TRUE;
#else
#error Not implemented the IsCommandMessage function for Non-Win32 platforms !
#endif
}

