/*****************************************************************************/
/* IsDirectoryAccessible.cpp              Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* A function that checks if a directory is accessible.                      */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of IsDirectoryAccessible.cpp       */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

BOOL IsDirectoryAccessible(const TCHAR * szDirectory)
{
    WIN32_FIND_DATA wf;
    HANDLE hFind = INVALID_HANDLE_VALUE;
    TCHAR szSaveDir[MAX_PATH] = _T("");
    BOOL bResult = FALSE;

    // First of all, try to enter the directory
    GetCurrentDirectory(_tsize(szSaveDir), szSaveDir);
    if(SetCurrentDirectory(szDirectory))
    {
        // Then find something there
        hFind = FindFirstFile(_T("*"), &wf);
        if(hFind != INVALID_HANDLE_VALUE)
        {
            FindClose(hFind);
            bResult = TRUE;
        }

        // Restore the directory
        SetCurrentDirectory(szSaveDir);
    }
    
    // And return the result
    return bResult;
}

