/*****************************************************************************/
/* IsNotifyMessage.cpp                    Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Function that analyzez the message and checks for WM_NOTIFY               */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 30.05.04  1.00  Lad  The first version of IsNotifyMessage.cpp             */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// This function decodes the WM_NOTIFY message. If another message, this function
// returns FALSE. If it is a WM_NOTIFY, it decodes the motification code, window ID
// and (optionally) window handle.
BOOL IsNotifyMessage(UINT uMsg, LPARAM lParam, UINT & nNotify, UINT_PTR & nIDCtrl, HWND * hWnd)
{
    NMHDR * nm = (NMHDR *)lParam;

    if(uMsg != WM_NOTIFY)
        return FALSE;
    if(nm->code == 0xFFFFFFF4)
        return FALSE;

    // Fill the control ID and notify code
    nIDCtrl = nm->idFrom;
    nNotify = nm->code;

    // If the caller required a window handle, give it to him.
    if(hWnd != NULL)
        *hWnd = (HWND)lParam;

    return TRUE;
}


