/*****************************************************************************/
/* ListViewItems.cpp                      Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Easy listview item utilities                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of ListViewItems.cpp               */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"
#include <commctrl.h>

int InsertLVItem(HWND hList, int nIcon, TCHAR * szText, DWORD dwParam)
{
    LVITEM lvi;

    // Insert the name into the listview
    ZeroMemory(&lvi, sizeof(LVITEM));
    lvi.iItem   = ListView_GetItemCount(hList);

    if(nIcon != -1)
    {
        lvi.mask |= LVIF_IMAGE;
        lvi.iImage  = nIcon;
    }

    if(szText != NULL)
    {
        lvi.mask |= LVIF_TEXT;
        lvi.pszText = szText;
    }

    if(dwParam != 0)
    {
        lvi.mask   |= LVIF_PARAM;
        lvi.lParam  = dwParam;
    }

    return ListView_InsertItem(hList, &lvi);
}

int SetLVSubItem(HWND hList, int nItem, int nSubItem, LPCTSTR szText)
{
    LVITEM lvi;

    // Insert the name into the listview
    ZeroMemory(&lvi, sizeof(LVITEM));
    lvi.mask     = LVIF_TEXT;
    lvi.iItem    = nItem;
    lvi.iSubItem = nSubItem;
    lvi.pszText  = (TCHAR *)szText;
    ListView_SetItem(hList, &lvi);

    return nItem;
}


LPARAM GetLVItemParam(HWND hList, int nItem)
{
    LVITEM lvi;

    ZeroMemory(&lvi, sizeof(LVITEM));
    lvi.mask  = LVIF_PARAM;
    lvi.iItem = nItem;
    ListView_GetItem(hList, &lvi);
    return lvi.lParam;
}

BOOL SetLVItemParam(HWND hList, int nItem, LPARAM lParam)
{
    LVITEM lvi;

    ZeroMemory(&lvi, sizeof(LVITEM));
    lvi.mask   = LVIF_PARAM;
    lvi.iItem  = nItem;
    lvi.lParam = lParam;
    return ListView_SetItem(hList, &lvi);
}


