/*****************************************************************************/
/* RadioValue.cpp                         Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 29.05.04  1.00  Lad  The first version of RadioValue.cpp                  */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"
#include <windowsx.h>

static const TCHAR * szButtonClass = _T("Button");

// Sets a value from group of radio buttons.
// The radio buttons must follow each other, be sure that they do !!!
DWORD GetRadioValue(HWND hDlg, UINT nIDFirst)
{
    TCHAR szClassName[32];
    HWND  hRadio = GetDlgItem(hDlg, nIDFirst);
    DWORD dwStyles = GetWindowLong(hRadio, GWL_STYLE);
    UINT  nButton = 0;              // Button #

    // Now pass all the controls which are groupbox and have NOT the "Group" flag
    while(hRadio != NULL)
    {
        // Ensure that it is really a radio button
        GetClassName(hRadio, szClassName, _tsize(szClassName));
        if(!_tcsicmp(szClassName, szButtonClass) && (dwStyles & 0x0F) == BS_AUTORADIOBUTTON)
        {
            // If the radio button is checked, return its index.
            if(Button_GetCheck(hRadio) == BST_CHECKED)
                return nButton;
        }

        // Move to the next control.
        // If the next has the group flag set, break the loop
        hRadio = GetWindow(hRadio, GW_HWNDNEXT);
        dwStyles = GetWindowLong(hRadio, GWL_STYLE);
        nButton++;
        if(dwStyles & WS_GROUP)
            break;
    }
    // No button was checked, return -1
    return 0xFFFFFFFF;
}

// Sets a value to group of radio buttons.
// The radio buttons must follow each other, be sure that they do !!!
void SetRadioValue(HWND hDlg, UINT nIDFirst, UINT nValue)
{
    TCHAR szClassName[32];
    HWND  hRadio = GetDlgItem(hDlg, nIDFirst);
    DWORD dwStyles = GetWindowLong(hRadio, GWL_STYLE);
    UINT  nButton = 0;              // Button #

    // Now pass all the controls which are groupbox and have NOT the "Group" flag
    while(hRadio != NULL)
    {
        // Ensure that it is really a radio button
        GetClassName(hRadio, szClassName, _tsize(szClassName));
        if(!_tcsicmp(szClassName, szButtonClass) && (dwStyles & 0x0F) == BS_AUTORADIOBUTTON)
            Button_SetCheck(hRadio, (nButton == nValue) ? BST_CHECKED : BST_UNCHECKED);

        // Move to the next control.
        // If the next has the group flag set, break the loop
        hRadio = GetWindow(hRadio, GW_HWNDNEXT);
        dwStyles = GetWindowLong(hRadio, GWL_STYLE);
        nButton++;
        if(dwStyles & WS_GROUP)
            break;
    }
}
