/*****************************************************************************/
/* ReadLine.cpp                           Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 12.06.04  1.00  Lad  The first version of ReadLine.cpp                    */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// Reads line from text file. The file must be opened in text mode
// Returns -1 if line too long, otherwise number of characters read
int ReadLine(FILE * fp, TCHAR * szBuffer, int nMaxChars)
{
    unsigned int ch = 0;
    int count = 0;

    *szBuffer = 0;
    if(feof(fp))
        return -1;
    
    while(!feof(fp) && (ch = _fgettc(fp)) != (TCHAR)-1)
    {
        if(ch == _T('\n'))
            break;
        if(0 <= ch && ch <= _T(' ') && ch != _T('\t'))
            ch = _T(' ');

#ifdef _UNICODE
        MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, (char *)&ch, 1, szBuffer++, 1);
#else
        *szBuffer++ = (TCHAR)ch;
#endif

        if(++count == nMaxChars)
        {
            // Skip line
            while(!feof(fp) && fgetc(fp) != _T('\n'));
            *szBuffer = 0;
            return -1;                  // Line is to long
        }
    }
    *szBuffer = 0;
    return count;
}


