/*****************************************************************************/
/* ScreenRectToClientRect.cpp             Copyright (c) Ladislav Zezula 2005 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 09.01.05  1.00  Lad  The first version of ScreenRectToClientRect.cpp      */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// Recalculates a screen window position (such as retrieved by GetWindowRect)
// to the client coordinates of the window "hWnd".

void ScreenRectToClientRect(HWND hWnd, LPRECT pRect)
{
    POINT pt;

    // Recalculate the left and top positions
    pt.x = pRect->left;
    pt.y = pRect->top;
    ScreenToClient(hWnd, &pt);
    pRect->left = pt.x;
    pRect->top  = pt.y;

    // Recalculate the right and bottom positions
    pt.x = pRect->right;
    pt.y = pRect->bottom;
    ScreenToClient(hWnd, &pt);
    pRect->right  = pt.x;
    pRect->bottom = pt.y;
}
