/*****************************************************************************/
/* SetBoldFont.cpp                        Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Sets the bold font for a dialog control                                   */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of SetBoldFont.cpp                 */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

int SetBoldFont(HWND hDlg, UINT nIDCtrl, int nFontSize)
{
    LOGFONT logFont;
    HFONT   hFont = NULL;
    HWND    hWnd = GetDlgItem(hDlg, nIDCtrl);

    // If the button is not there, do nothing.
    if(hWnd == NULL)
        return ERROR_FILE_NOT_FOUND;

    // Retrieve the settings of the dialog font.
    // The buttons should have the same font like the dialog font.
    hFont = (HFONT)SendMessage(hDlg, WM_GETFONT, 0, 0);
    GetObject(hFont, sizeof(LOGFONT), &logFont);

    // Setup the font
    if(nFontSize != 0)
        logFont.lfHeight = nFontSize;
    logFont.lfWeight = FW_BOLD;

    // Create the font
    hFont = CreateFontIndirect(&logFont);
    if(hFont == NULL)
        return GetLastError();

    SendMessage(hWnd, WM_SETFONT, (LPARAM)hFont, 0);
    return ERROR_SUCCESS;
}


