/*****************************************************************************/
/* SetDialogIcon.cpp                      Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Function for setting an icon to the dialog                                */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 29.05.04  1.00  Lad  The first version of SetDialogIcon.cpp               */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

// Loads the dialog's icon from the resources
void SetDialogIcon(HWND hDlg, UINT nIDIcon)
{
    HICON hIcon1 = LoadIcon(g_hInst, MAKEINTRESOURCE(nIDIcon));
    HICON hIcon2 = (HICON)LoadImage(g_hInst, MAKEINTRESOURCE(nIDIcon), IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR);

    // Initialize the dialog icon
    SendMessage(hDlg, WM_SETICON, ICON_BIG, (LPARAM)hIcon1);
    SendMessage(hDlg, WM_SETICON, ICON_SMALL, (LPARAM)hIcon2);
}
