/*****************************************************************************/
/* SetWindowTextRc.cpp                    Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Sets the window text from resources. Printf-style format specifiers can   */
/* be used.                                                                  */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of SetWindowTextRc.cpp             */
/*****************************************************************************/

#include "Utils.h"

// Sets a window text from resource
int SetWindowTextRc(HWND hWnd, UINT nIDText, ...)
{
    va_list argList;
    TCHAR szFormat[256];
    TCHAR * szText = new TCHAR[0x4000];
    int nResult;
    
    // If no text ID entered, use the window text itself
    if(nIDText == 0)
        GetWindowText(hWnd, szFormat, _tsize(szFormat));
    else
        LoadString(g_hInst, nIDText, szFormat, _tsize(szFormat));

    // Format the result text
    va_start(argList, nIDText);
    nResult = _vstprintf(szText, szFormat, argList);
    va_end(argList);

    // Set the text to the window
    SetWindowText(hWnd, szText);
    delete [] szText;
    return nResult;
}

