/*****************************************************************************/
/* Strings.cpp                            Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* International string support                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 29.05.04  1.00  Lad  The first version of Strings.cpp                     */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

#pragma comment (lib, "Version.lib")

//-----------------------------------------------------------------------------
// Czech strings

static TCHAR * szStrings0405[] =
{
    _T(""), 
    _T("Chyba"), 
    _T("Potvrzen"), 
    _T("Dotaz"), 
    _T("Informace"), 
    _T("Upozornn"), 
    _T("Poadavek"), 
    _T("Upozornn"), 
    _T("Zadejte, prosm, cel slo"), 
    _T("Zadejte, prosm, cel slo v rozsahu %i a %i"),
    NULL
};

//-----------------------------------------------------------------------------
// Default (English) strings

static TCHAR * szStrings0409[] =
{
    _T(""), 
    _T("Error"), 
    _T("Confirmation"), 
    _T("Question"), 
    _T("Information"), 
    _T("Warning"), 
    _T("Request"), 
    _T("Warning"), 
    _T("Please enter an integer"), 
    _T("Please enter an integer Zadejte, prosm, cel slo v rozsahu %i a %i"),
    NULL
};

//-----------------------------------------------------------------------------
// Other local variables

static USHORT wSystemLanguage = 0;

//-----------------------------------------------------------------------------
// Functions

// Returns the language of current Windows installation
// (Not the value set by the user in Regional Settings)
USHORT GetSystemLanguage()
{
    HINSTANCE hKernel32 = GetModuleHandle(_T("Kernel32.dll"));
    TCHAR szFullName[MAX_PATH] = _T("");
    DWORD dwHandle = 0;
    DWORD dwSize = 0;

    if(wSystemLanguage != 0)
        return wSystemLanguage;

    // Retrieve the version number from resources
    GetModuleFileName(hKernel32, szFullName, sizeof(szFullName) / sizeof(TCHAR));
    dwSize = GetFileVersionInfoSize(szFullName, &dwHandle);
    if(dwSize != 0)
    {
        LPVOID pVerInfo = HeapAlloc(GetProcessHeap(), HEAP_ZERO_MEMORY, dwSize);
        if(GetFileVersionInfo(szFullName, dwHandle, dwSize, pVerInfo))
        {
            USHORT * lpLang = NULL;
            UINT uiSize = 0;

            VerQueryValue(pVerInfo, _T("\\VarFileInfo\\Translation"), (LPVOID *)&lpLang, &uiSize);
            if(lpLang != NULL)
                wSystemLanguage = *lpLang;
        }
        if(pVerInfo != NULL)
            HeapFree(GetProcessHeap(), 0, pVerInfo);
    }
    
    return wSystemLanguage;
}

LPCTSTR GetString(UINT_PTR nIDString)
{
    // Test of the string ID is not out of range
    if(nIDString > (sizeof(szStrings0409) / sizeof(TCHAR *)))
        return NULL;

    // Return the appropriate string
    switch(GetSystemLanguage() & 0x03FF)
    {
        case LANG_CZECH:    // Czech language
            return szStrings0405[nIDString];

        default:            // English is default
            return szStrings0409[nIDString];
    }
}
