/*****************************************************************************/
/* VerifyUserPassword.cpp                 Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Verifies if the password is correct for a specified username and domain   */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of VerifyUserPassword.cpp          */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

#ifndef LOGON32_PROVIDER_WINNT50
#define LOGON32_PROVIDER_WINNT50    3
#endif

BOOL VerifyUserPassword(TCHAR * szUserName,
                        TCHAR * szDomain,
                        TCHAR * szPassword)
{
    OSVERSIONINFO osvi;
    HANDLE hToken = NULL;
    DWORD dwLogonProvider = LOGON32_PROVIDER_DEFAULT;
    int nError = ERROR_SUCCESS;

    // Select the correct provider
    osvi.dwOSVersionInfoSize = sizeof(OSVERSIONINFO);
    GetVersionEx(&osvi);
    if(osvi.dwMajorVersion >= 5)
        dwLogonProvider = LOGON32_PROVIDER_WINNT50;

    // Enable privileges necessary for Windows 2000
    EnablePrivilege(SE_TCB_NAME);
    EnablePrivilege(SE_CHANGE_NOTIFY_NAME);

    // Verify the user password
    if(nError == ERROR_SUCCESS)
    {
        if(!LogonUser(szUserName, szDomain, szPassword, LOGON32_LOGON_INTERACTIVE, dwLogonProvider, &hToken))
            nError = GetLastError();
    }

    if(hToken != NULL)
        CloseHandle(hToken);
    return (BOOL)(nError == ERROR_SUCCESS);
}
